!
function() {
    "use strict";
    var e = Laya.View,
    a = (Laya.Dialog, Laya.Scene, Laya.ClassUtils.regClass);
    class t extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(t.uiView)
        }
    }
    t.uiView = {
        type: "View",
        props: {
            width: 200,
            runtime: "script/RockerView.js",
            height: 200
        },
        compId: 2,
        child: [{
            type: "Image",
            props: {
                width: 200,
                skin: "res/Rocker01.png",
                height: 200,
                alpha: .4
            },
            compId: 4
        },
        {
            type: "Image",
            props: {
                y: 100,
                x: 100,
                width: 50,
                var: "knob",
                skin: "res/Rocker02.png",
                pivotY: 25,
                pivotX: 25,
                height: 50,
                alpha: .4
            },
            compId: 5
        }],
        loadList: ["res/Rocker01.png", "res/Rocker02.png"],
        loadList3D: []
    },
    a("ui.scene.RockerUI", t);
    class i extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(i.uiView)
        }
    }
    i.uiView = {
        type: "View",
        props: {
            width: 720,
            top: 0,
            right: 0,
            mouseThrough: !0,
            left: 0,
            height: 1280,
            bottom: 0
        },
        compId: 2,
        child: [{
            type: "Box",
            props: {
                x: 0,
                width: 720,
                height: 170,
                bottom: 0
            },
            compId: 4,
            child: [{
                type: "Image",
                props: {
                    width: 722,
                    var: "bj",
                    top: 1,
                    skin: "ADRes/native_2.png",
                    left: -2,
                    height: 168
                },
                compId: 3
            },
            {
                type: "Image",
                props: {
                    var: "ad",
                    skin: "ADRes/native_1.png",
                    right: 0,
                    bottom: 0
                },
                compId: 5
            },
            {
                type: "Image",
                props: {
                    y: 18.5,
                    x: 37,
                    width: 89,
                    var: "icon",
                    height: 89
                },
                compId: 6
            },
            {
                type: "Label",
                props: {
                    y: 18.5,
                    x: 176,
                    width: 384,
                    var: "title",
                    text: "wwwwwwwwwwwwwww",
                    height: 35,
                    fontSize: 30,
                    align: "left"
                },
                compId: 8
            },
            {
                type: "Label",
                props: {
                    y: 52.5,
                    x: 176,
                    width: 422,
                    var: "des",
                    valign: "middle",
                    text: "label",
                    height: 71,
                    fontSize: 20,
                    color: "#4f4f4f"
                },
                compId: 9
            },
            {
                type: "Sprite",
                props: {
                    y: 1,
                    x: 667,
                    texture: "ADRes/native_31.png"
                },
                compId: 11
            },
            {
                type: "Button",
                props: {
                    y: 24,
                    x: 690,
                    width: 48,
                    var: "close",
                    stateNum: 1,
                    skin: "ADRes/native_3.png",
                    pivotY: 23,
                    pivotX: 24,
                    height: 46
                },
                compId: 10
            }]
        }],
        loadList: ["ADRes/native_2.png", "ADRes/native_1.png", "ADRes/native_31.png", "ADRes/native_3.png"],
        loadList3D: []
    },
    a("ui.UI.AD.NativeBannerUI", i);
    class n extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(n.uiView)
        }
    }
    n.uiView = {
        type: "View",
        props: {
            width: 720,
            top: 0,
            right: 0,
            left: 0,
            height: 1280,
            bottom: 0
        },
        compId: 2,
        child: [{
            type: "Image",
            props: {
                var: "heidi",
                top: -100,
                skin: "ADRes/heidikuang.png",
                right: -100,
                left: -100,
                bottom: -100
            },
            compId: 13
        },
        {
            type: "Box",
            props: {
                y: 411,
                x: 35,
                width: 650,
                height: 400
            },
            compId: 4,
            child: [{
                type: "Image",
                props: {
                    width: 720,
                    var: "bj",
                    top: 0,
                    skin: "ADRes/native_2.png",
                    right: 0,
                    left: 0,
                    height: 400,
                    bottom: 0
                },
                compId: 3
            },
            {
                type: "Image",
                props: {
                    var: "ad",
                    skin: "ADRes/native_1.png",
                    right: 0,
                    bottom: 0
                },
                compId: 5
            },
            {
                type: "Image",
                props: {
                    y: 105,
                    x: 300,
                    width: 120,
                    var: "icon",
                    height: 120
                },
                compId: 6
            },
            {
                type: "Sprite",
                props: {
                    y: 26,
                    x: 626,
                    width: 35,
                    texture: "ADRes/native_31.png",
                    pivotY: 18,
                    pivotX: 18,
                    height: 35
                },
                compId: 14
            },
            {
                type: "Image",
                props: {
                    y: 26,
                    x: 626,
                    width: 35,
                    var: "close",
                    stateNum: 1,
                    skin: "ADRes/native_3.png",
                    pivotY: 18,
                    pivotX: 18,
                    height: 35
                },
                compId: 10
            },
            {
                type: "Image",
                props: {
                    y: 308,
                    x: 0,
                    width: 720,
                    visible: !1,
                    skin: "ADRes/native_6.png",
                    height: 92
                },
                compId: 11
            },
            {
                type: "Image",
                props: {
                    y: 308.5,
                    x: 541,
                    skin: "ADRes/native_5.png"
                },
                compId: 12
            },
            {
                type: "Label",
                props: {
                    y: 353,
                    x: 27,
                    width: 529,
                    var: "des",
                    valign: "middle",
                    height: 43,
                    fontSize: 20,
                    color: "#000000"
                },
                compId: 9
            },
            {
                type: "Label",
                props: {
                    y: 311,
                    x: 27,
                    width: 516,
                    var: "title",
                    valign: "middle",
                    height: 35,
                    fontSize: 20,
                    color: "#696969",
                    align: "left"
                },
                compId: 8
            }]
        }],
        loadList: ["ADRes/heidikuang.png", "ADRes/native_2.png", "ADRes/native_1.png", "ADRes/native_31.png", "ADRes/native_3.png", "ADRes/native_6.png", "ADRes/native_5.png"],
        loadList3D: []
    },
    a("ui.UI.AD.NativeInsertUI", n);
    class o extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(o.uiView)
        }
    }
    o.uiView = {
        type: "View",
        props: {
            width: 720,
            top: 0,
            right: 0,
            mouseThrough: !0,
            left: 0,
            height: 1280,
            bottom: 0
        },
        compId: 2,
        child: [{
            type: "Box",
            props: {
                x: 113,
                width: 494,
                height: 179
            },
            compId: 12,
            child: [{
                type: "Image",
                props: {
                    x: -73,
                    width: 648,
                    var: "adImage",
                    top: 0,
                    skin: "ADRes/native_2.png",
                    bottom: 0
                },
                compId: 13
            },
            {
                type: "Image",
                props: {
                    var: "ad",
                    skin: "ADRes/native_1.png",
                    right: -71,
                    bottom: 1
                },
                compId: 14
            },
            {
                type: "Image",
                props: {
                    y: 58,
                    x: 10,
                    width: 60,
                    var: "icon",
                    height: 60
                },
                compId: 15
            },
            {
                type: "Sprite",
                props: {
                    y: 18.5,
                    x: 546.5,
                    width: 38,
                    texture: "ADRes/native_31.png",
                    pivotY: 19,
                    pivotX: 19,
                    height: 38
                },
                compId: 16
            },
            {
                type: "Image",
                props: {
                    y: 16.5,
                    x: 549.5,
                    width: 35,
                    var: "close",
                    stateNum: 1,
                    skin: "ADRes/native_3.png",
                    pivotY: 18,
                    pivotX: 18,
                    height: 35
                },
                compId: 17
            },
            {
                type: "Image",
                props: {
                    y: -82.5,
                    x: 256.5,
                    width: 343,
                    var: "adBtn",
                    skin: "res/anniu1.png",
                    sizeGrid: "50,60,50,80",
                    pivotY: 65,
                    pivotX: 172,
                    height: 139
                },
                compId: 18,
                child: [{
                    type: "Image",
                    props: {
                        y: 41,
                        x: 78.5,
                        skin: "ADRes/dj.png"
                    },
                    compId: 22
                }]
            },
            {
                type: "Label",
                props: {
                    y: 131,
                    x: 30.5,
                    width: 452,
                    var: "des",
                    valign: "middle",
                    height: 43,
                    fontSize: 20,
                    color: "#000000"
                },
                compId: 19
            },
            {
                type: "Label",
                props: {
                    y: 16.5,
                    x: 10,
                    width: 204,
                    var: "title",
                    valign: "middle",
                    height: 40,
                    fontSize: 20,
                    color: "#696969",
                    align: "left"
                },
                compId: 20
            }]
        }],
        loadList: ["ADRes/native_2.png", "ADRes/native_1.png", "ADRes/native_31.png", "ADRes/native_3.png", "res/anniu1.png", "ADRes/dj.png"],
        loadList3D: []
    },
    a("ui.UI.AD.oppoNativeInsertUI", o);
    class r extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(r.uiView)
        }
    }
    r.uiView = {
        type: "View",
        props: {
            width: 1280,
            height: 720
        },
        compId: 2,
        child: [{
            type: "Label",
            props: {
                y: 0,
                centerX: 0,
                wordWrap: !0,
                width: 700,
                var: "value",
                valign: "middle",
                text: "没有足够的现金 ",
                strokeColor: "#ffc05e",
                stroke: 5,
                height: 160,
                fontSize: 40,
                font: "Microsoft YaHei",
                color: "#ffffff",
                bold: !0,
                anchorY: .5,
                anchorX: .5,
                align: "center"
            },
            compId: 3
        }],
        animations: [{
            nodes: [{
                target: 3,
                keyframes: {
                    y: [{
                        value: 0,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "y",
                        index: 0
                    },
                    {
                        value: -50,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "y",
                        index: 30
                    }],
                    x: [{
                        value: 0,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "x",
                        index: 0
                    }],
                    scaleY: [{
                        value: 0,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "scaleY",
                        index: 0
                    },
                    {
                        value: 1,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "scaleY",
                        index: 5
                    }],
                    scaleX: [{
                        value: 0,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "scaleX",
                        index: 0
                    },
                    {
                        value: 1,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "scaleX",
                        index: 5
                    }],
                    alpha: [{
                        value: 1,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "alpha",
                        index: 0
                    },
                    {
                        value: 1,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "alpha",
                        index: 20
                    },
                    {
                        value: 0,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 3,
                        key: "alpha",
                        index: 30
                    }]
                }
            }],
            name: "in",
            id: 1,
            frameRate: 24,
            action: 1
        }],
        loadList: [],
        loadList3D: []
    },
    a("ui.UI.Prefab.GameTipUI", r);
    class s extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(s.uiView)
        }
    }
    s.uiView = {
        type: "View",
        props: {
            x: 0,
            width: 720,
            height: 1280
        },
        compId: 2,
        child: [{
            type: "Image",
            props: {
                y: 24,
                x: 23,
                width: 45,
                var: "arrowImg",
                skin: "res/Arrow_03.png",
                rotation: 0,
                pivotY: 24,
                pivotX: 23,
                height: 48,
                alpha: .5
            },
            compId: 4
        }],
        loadList: ["res/Arrow_03.png"],
        loadList3D: []
    },
    a("ui.UI.Prefab.NpcArrowUI", s);
    class l extends e {
        constructor() {
            super()
        }
        createChildren() {
            super.createChildren(),
            this.createView(l.uiView)
        }
    }
    l.uiView = {
        type: "View",
        props: {
            width: 720,
            height: 1680
        },
        compId: 2,
        child: [{
            type: "Label",
            props: {
                y: 751,
                x: 104,
                var: "tishiText",
                valign: "middle",
                text: "是否观看激励视频广告？",
                name: "tishiText",
                fontSize: 48,
                font: "Arial",
                color: "#f8f8f8",
                bold: !0,
                align: "center"
            },
            compId: 4
        }],
        animations: [{
            nodes: [{
                target: 4,
                keyframes: {
                    y: [{
                        value: 800,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 4,
                        key: "y",
                        index: 0
                    },
                    {
                        value: 700,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 4,
                        key: "y",
                        index: 10
                    },
                    {
                        value: 500,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 4,
                        key: "y",
                        index: 30
                    }],
                    alpha: [{
                        value: 1,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 4,
                        key: "alpha",
                        index: 0
                    },
                    {
                        value: 1,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 4,
                        key: "alpha",
                        index: 10
                    },
                    {
                        value: 0,
                        tweenMethod: "linearNone",
                        tween: !0,
                        target: 4,
                        key: "alpha",
                        index: 30
                    }]
                }
            }],
            name: "ani",
            id: 1,
            frameRate: 24,
            action: 0
        }],
        loadList: [],
        loadList3D: []
    },
    a("ui.UI.Prefab.tipUI", l);
    class c {
        static Init(e) {
            console.log("------OppoSdk Init------------"),
            c.gameStartTime = (new Date).getTime(),
            c.getYearDay() ? (c.GAME_CESHIKONGZHI = !0, c.size = .75) : (c.GAME_CESHIKONGZHI = !1, c.size = 1),
            c.initAdService(),
            c.onLoadAd(),
            setInterval(function() {
                c.onLoadAd()
            }.bind(this), 3e4),
            e()
        }
        static getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("hasDays:" + t),
            console.log("currentYear:" + e),
            t > 184 || e > 2021
        }
        static qgRequest(e, a, t) {
            let i = new XMLHttpRequest;
            i.addEventListener("load",
            function() {
                i.responseText ? (console.log(i.responseText), a(i.responseText)) : t()
            }),
            i.open("GET", e),
            i.setRequestHeader("content-type", "application/json; charset=utf-8"),
            i.send()
        }
        static initAdService() {
            qg.initAdService({
                appId: c.appId,
                isDebug: !0,
                success: function(e) {
                    console.log("initAdService success")
                },
                fail: function(e) {
                    console.log("initAdService fail:" + e.code + e.msg)
                },
                complete: function(e) {
                    console.log("initAdService complete")
                }
            })
        }
        static onLoadAd() {
            c.nativeAd && (c.nativeAd.destroy(), c.nativeAd = null),
            c.nativeCurrentIndex = c.nativeCurrentIndex + 1,
            c.nativeCurrentIndex = c.nativeCurrentIndex % c.nativeCurrentId.length,
            c.nativeAd = qg.createNativeAd({
                posId: c.nativeCurrentId[c.nativeCurrentIndex]
            }),
            c.nativeAd.load(),
            c.nativeAd.onLoad(function(e) {
                if (console.log("---------onLoadAd---11-------:" + JSON.stringify(e)), e.adList && e.adList.length > 0) {
                    c.AdData = null,
                    c.AdData = e;
                    var a = c.AdData.adList[0];
                    c.nativeAd.reportAdShow({
                        adId: a.adId
                    })
                }
            }),
            c.nativeAd.onError(function(e) {
                c.nativeAd = null,
                c.showBanner(),
                console.log("原生广告加载错误", JSON.stringify(e))
            }),
            c.onLoadAdTime = (new Date).getTime()
        }
        static showBanner() {
            console.log("---+++展示banner");
            if (null != c.curBanner && (c.curBanner.destroy(), c.curBanner = null), "" != c.bannerId) {
                var e = qg.createBannerAd({
                    posId: c.bannerId,
                    style: {}
                });
                e.onLoad(function() {}),
                e.show().then(() =>{
                    console.log("banner广告展示完成")
                }).
                catch(e =>{
                    console.log("banner广告展示失败", JSON.stringify(e))
                }),
                c.curBanner = e
            }
        }
        static closeBanner() {
            null != c.curBanner && (c.curBanner.destroy(), c.curBanner = null)
        }
        static ShowNaticeBanner() {
            var e = c.AdData;
            if (console.log("--------11-------ShowNaticeBanner:" + JSON.stringify(e)), c.nativeBannerUI && (c.nativeBannerUI.destroy(), c.nativeBannerUI = null), c.closeBanner(), null != e) if (e.adList && e.adList.length > 0) {
                var a = Laya.stage.addChild(new i);
                a.close.scaleX = c.size,
                a.close.scaleY = c.size,
                a.x = 0,
                a.y = 0,
                c.nativeBannerUI = a,
                a.zOrder = 200;
                var t = e.adList[0];
                a.bj.skin = t.imgUrlList[0],
                a.title.visible = !1,
                a.des.visible = !1,
                a.title.text = t.title,
                a.des.text = t.desc,
                a.close.on(Laya.Event.CLICK, this,
                function() {
                    a.destroy(),
                    a = null,
                    c.nativeAd = null,
                    c.nativeBannerUI = null
                }),
                a.bj.on(Laya.Event.CLICK, this,
                function() {
                    console.log("点击广告。。。"),
                    c.nativeAd.reportAdClick({
                        adId: t.adId
                    })
                }),
                c.curBanner = a
            } else c.showBanner();
            else c.showBanner()
        }
        static GaiLv(e) {
            return 1 + Math.floor(100 * Math.random()) <= e
        }
        static ShowNaticeInterstitial(e) {
            var a = c.AdData;
            if (console.log("-----------ShowNaticeInterstitial-------------" + JSON.stringify(a)), a.adList && c.nativeAd && a.adList.length > 0 && e) {
                c.closeBanner();
                var t = e;
                if (t.close.scaleX = c.size, t.close.scaleY = c.size, t.x = 0, t.y = 0, t.zOrder = 200, a.adList && a.adList.length > 0) {
                    var i = a.adList[0];
                    t.adImage.skin = i.imgUrlList[0],
                    t.close.on(Laya.Event.CLICK, this,
                    function() {
                        t.destroy(),
                        t = null,
                        c.nativeAd = null,
                        c.nativeBannerUI = null
                    }),
                    t.adBtn.on(Laya.Event.CLICK, this,
                    function() {
                        console.log("adBtn点击广告。。。"),
                        c.nativeAd.reportAdClick({
                            adId: i.adId
                        }),
                        t.destroy(),
                        t = null,
                        c.nativeAd = null,
                        c.nativeBannerUI = null
                    }),
                    t.adImage.on(Laya.Event.CLICK, this,
                    function() {
                        console.log("adImage点击广告。。。"),
                        c.nativeAd.reportAdClick({
                            adId: i.adId
                        }),
                        t.destroy(),
                        t = null,
                        c.nativeAd = null,
                        c.nativeBannerUI = null
                    }),
                    c.nativeBannerUI = t
                }
            } else c.ShowNaticeBanner()
        }
        static closeNaticeInterstitial() {
            c.nativeBannerUI && (c.nativeBannerUI.destroy(), c.nativeBannerUI = null)
        }
        static CloseBanner() {
            c.closeBanner(),
            c.closeNaticeInterstitial()
        }
        static createRewardedVideoAd(e) {
            var a = !1,
            t = qg.createRewardedVideoAd({
                posId: c.viodeId
            });
            t.onClose(t =>{
                console.log("--------onClose---------" + JSON.stringify(t)),
                t.isEnded ? (console.log("激励视频广告完成，发放奖励:" + a), e({
                    code: 1
                }), console.log("-----success----" + a)) : console.log("激励视频广告取消关闭，不发放奖励")
            }),
            t.onError(function(a) {
                console.log("激励视频加载错误:" + JSON.stringify(a)),
                e({
                    code: 0
                })
            }),
            t.onLoad(function() {
                console.log("激励视频加载成功"),
                a || (a = !0, t.show())
            }),
            t.load()
        }
        static RandomInt(e, a) {
            return Math.round(Math.random() * (a - e) + e)
        }
        static IsHasZhuoMian(e) {
            qg.hasShortcutInstalled({
                success: function(a) {
                    0 == a ? null != e && (e(1), e = null) : null != e && (e(0), e = null)
                },
                fail: function(e) {},
                complete: function() {}
            })
        }
        static AddZhuoMian() {
            qg.hasShortcutInstalled({
                success: function(e) {
                    0 == e && qg.installShortcut({
                        success: function() {},
                        fail: function(e) {},
                        complete: function() {}
                    })
                },
                fail: function(e) {},
                complete: function() {}
            })
        }
        static executeShowGamePortalAd() {
            if (console.log("qg.getSystemInfoSync().platformVersionCode:" + qg.getSystemInfoSync().platformVersionCode), qg.getSystemInfoSync().platformVersionCode < 1076) return;
            let e = qg.createGamePortalAd({
                adUnitId: c.hutuiId
            });
            e.load().then(function() {
                console.log("load success")
            }).
            catch(function(e) {
                console.log("load fail with:" + e.errCode + "," + e.errMsg)
            }),
            e.onLoad(function() {
                console.log("互推盒子九宫格广告加载成功"),
                e.show()
            }),
            e.onClose(function() {
                console.log("互推盒子九宫格广告关闭"),
                e.destroy().then(function() {
                    console.log("destroy success")
                }).
                catch(function(e) {
                    console.log("destroy fail with:" + e.errCode + "," + e.errMsg)
                })
            })
        }
        static executeShowPushBox() {
            if (console.log("qg.getSystemInfoSync().platformVersionCode:" + qg.getSystemInfoSync().platformVersionCode), qg.getSystemInfoSync().platformVersionCode < 1076) return;
            let e = qg.createGameBannerAd({
                adUnitId: c.hutuiId
            });
            e.show().then(function() {}).
            catch(function(e) {}),
            e.onLoad(function() {}.bind(this))
        }
    }
    c.bofang = !1,
    c.appIndex = 0,
    c.size = 1,
    c.appIcon = null,
    c.appID = null,
    c.appId = "30563447",
    c.bannerId = "342017",
    c.viodeId = "342030",
    c.hutuiId = "342031",
    c.nativeCurrentIndex = 0,
    c.nativeCurrentId = ["342020", "342023", "342029"],
    c.AdData = null,
    c.nativeAd = null,
    c.GAME_CESHIKONGZHI = !1,
    c.curBanner = null,
    c.shareVideo = 50,
    c.locationList = "",
    c.myLocation = "",
    c.gameStartTime = 0,
    c.nativeIndex = 0,
    c.nativeDatas = null,
    c.nativeDataIndex = 0,
    c.nativeBannerUI = null,
    c.nativeInsertUI = null,
    c.nativeIconUI = null,
    c.nativeBannerUIClose = !1,
    c.nativeInsertUIClose = !1,
    c.nativeIconUIClose = !1,
    c.insertShowNum = 0,
    c.nativeInsertZiXuanRan = !1;
    class d {
        static PlaySound(e, a = 1) {
            if (0 != v.GetUserData("yinliang")) {
                var t = "res/Sounds/" + e;
                return Laya.SoundManager.playSound(t + ".mp3", a, null)
            }
        }
        static GaiLv(e) {
            return 1 + Math.floor(100 * Math.random()) <= e
        }
        static PlayMusic(e) {
            if (d.curMusicName != e) {
                d.curMusicName = e;
                var a, t = "res/Sounds/" + e;
                return a = Laya.SoundManager.playMusic(t + ".mp3", 0),
                d.curMusic = a,
                a
            }
        }
        static ChangeMusicVolume() {
            var e = v.GetUserData("yinliang");
            null != d.curMusic && (0 == e ? (d.curMusicName = "", d.curMusic.stop()) : d.PlayMusic("main"))
        }
        static smoothstep(e, a, t) {
            return e <= a ? 0 : e >= t ? 1 : e = (e - a) / (t - a)
        }
        static PlayVibrate() {
            "oppo" == m.platform ? qg.vibrateShort() : "vivo" == m.platform ? qg.vibrateShort() : "tt" == m.platform ? tt.vibrateShort({
                success(e) {
                    console.log(`$ {
                        e
                    }`)
                },
                fail(e) {
                    console.log("vibrateShort调用失败")
                }
            }) : window.navigator && window.navigator.vibrate && window.navigator.vibrate(20)
        }
        static RandomInt(e, a) {
            return Math.round(Math.random() * (a - e) + e)
        }
        static RandomFloat(e, a) {
            return Math.random() * (a - e) + e
        }
        static getWeekOfYear() {
            var e = new Date,
            a = new Date(e.getFullYear(), 0, 1),
            t = a.getDay(),
            i = 1;
            0 != t && (i = 7 - t + 1),
            a = new Date(e.getFullYear(), 0, 1 + i);
            var n = Math.ceil((e.valueOf() - a.valueOf()) / 864e5);
            return Math.ceil(n / 7) + 1
        }
        static getDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e);
            return Math.ceil(a / 864e5) + 1
        }
        static TotIimeFormat(e) {
            var a = Math.floor(e / 3600),
            t = Math.floor(e % 3600 / 60),
            i = Math.floor(e % 3600 % 60);
            return a < 10 && (a = "0" + a),
            t < 10 && (t = "0" + t),
            i < 10 && (i = "0" + i),
            a + ":" + t + ":" + i
        }
        static onSceneLoaded(e, a) {
            null != d.curScene && d.curScene.destroy();
            var t = "res/LayaScene_Level/Conventional/Level.ls";
            Laya.loader.create(t, Laya.Handler.create(this,
            function() {
                d.curScene = Laya.loader.getRes(t),
                d.curScene ? (Laya.stage.addChildAt(d.curScene, 0), d.curPlayer = d.curScene.getChildByName("PlayerCamera").addComponent(PlayerControl), d.mainCamera = d.curScene.getChildByName("PlayerCamera").getChildByName("MainCamera"), UIManager.ShowUIPanel("Game"), a && a(), e && 1 == e.nextGQ && UIManager.mainUI.GameRunInit()) : this.onSceneLoaded(e, a)
            }))
        }
        static changePlayer() {
            if (d.curScene) {
                var e = d.curScene.getChildByName("player").getChildByName("Character").getChildByName("SkinParent").getChildByName("Character");
                if (e) {
                    for (var a = v.GetUserData("playerIndex"), t = 0; t < e.numChildren; t++) {
                        e.getChildAt(t).active = !1
                    }
                    var i = "reuwu" + a,
                    n = e.getChildByName(i);
                    if (n && (n.active = !0), a <= 7) e.getChildByName("reuwu1").active = !0
                }
                var o = d.curScene.getChildByName("player").getChildByName("Character").getChildByName("SkinParent").getChildByName("Armature").getChildByName("mixamorig:Hips").getChildByName("mixamorig:Spine").getChildByName("mixamorig:Spine1").getChildByName("mixamorig:Spine2").getChildByName("mixamorig:RightShoulder").getChildByName("mixamorig:RightArm").getChildByName("mixamorig:RightForeArm").getChildByName("mixamorig:RightHand").getChildByName("Hammer");
                if (o) {
                    var r = v.GetUserData("wuqiIndex");
                    for (t = 1; t < 13; t++) {
                        var s = "wuqi" + t;
                        o.getChildByName(s).active = t == r
                    }
                }
            }
        }
        static LoadAllScene(e, a) {
            d.models && d.models.destroy(),
            this.LoadModels(e, a)
        }
        static DestroyUnusedResources() {
            Laya.Resource.destroyUnusedResources()
        }
        static ChangeFnt(e, a, t = null) {
            e.getComponent(MyFont).ChangeFont(a, t)
        }
        static ChangeFntType(e, a) {
            e.getComponent(MyFont).ChangeFontType(a)
        }
    }
    d.playerIndex = 0,
    d.control = !1,
    d.openRandShare = 0,
    d.material = [],
    d.firstOpen = !1,
    d.mapTiLiIndex = 0,
    d.curScene = null,
    d.curPlayer = null,
    d.gameOverState = 0,
    d.curEnemyManager = null,
    d.models = null,
    d.gameState = "",
    d.mainCamera = null,
    d.gameUI = null,
    d.teach = !1,
    d.curSelectGuanQia = 1,
    d.curPassGuanTime = 0;
    class h {
        static Init() {
            h.getYearDay() && (h.GAME_CESHIKONGZHI = !0),
            h.getMyLocation(),
            h.RecorderManager = tt.getGameRecorderManager(),
            tt.createRewardedVideoAd && (h.videoAd = tt.createRewardedVideoAd({
                adUnitId: h.videoId,
                adIntervals: 31
            }), h.videoAd.load(), h.videoAd.onClose(function(e) {
                1 == e.isEnded ? h.videoCallback({
                    code: 1
                }) : (h.videoCallback({
                    code: 0
                }), tt.showToast({
                    title: "未观看完整视频！",
                    icon: "none",
                    duration: 1e3,
                    success(e) {
                        console.log(`$ {
                            e
                        }`)
                    },
                    fail(e) {
                        console.log("showToast调用失败")
                    }
                }))
            }))
        }
        static loadLLab() {}
        static getMyLocation() {}
        static addMoreGamesButton() {
            tt.getSystemInfoSync();
            tt.createMoreGamesButton({
                type: "image",
                image: "moreGame.png",
                style: {
                    left: 10,
                    top: 150,
                    width: 49.5,
                    height: 39.9,
                    lineHeight: 1,
                    backgroundColor: "#ff0000",
                    textColor: "#ffffff",
                    textAlign: "center",
                    fontSize: 16,
                    borderRadius: 1,
                    borderWidth: 0,
                    borderColor: "#ff0000"
                },
                appLaunchOptions: [],
                onNavigateToMiniGame(e) {
                    console.log("跳转其他小游戏", e)
                }
            }).onTap(() =>{
                console.log("点击更多游戏")
            })
        }
        static createBanner() {
            if ("" != h.bannerId && null != tt.createBannerAd) {
                var e = tt.createBannerAd({
                    adUnitId: h.bannerId,
                    style: {
                        left: (tt.getSystemInfoSync().windowWidth - 200) / 2,
                        top: tt.getSystemInfoSync().windowHeight - 200,
                        width: 200
                    }
                });
                h.s_banner_ad = e,
                h.s_banner_ad.onResize(e =>{
                    h.s_banner_ad.style.top = tt.getSystemInfoSync().windowHeight - e.height,
                    h.s_banner_ad.style.left = (tt.getSystemInfoSync().windowWidth - e.width) / 2
                }),
                h.s_banner_ad.onError(function(e) {}),
                h.s_banner_ad.show()
            }
        }
        static CloseBanner() {
            null != h.s_banner_ad && (h.s_banner_ad.destroy(), h.s_banner_ad = null)
        }
        static control() {
            return h.GAME_CESHIKONGZHI
        }
        static getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("今天是%s年中的第%s天", e, t),
            t >= 123 || e > 2021
        }
        static ShowShare(e = null) {
            tt.shareAppMessage({
                templateId: h.shardId,
                title: h.gameName,
                desc: h.shareTip,
                imageUrl: "./share.png",
                query: "",
                success() {
                    console.log("分享成功"),
                    null != e && (e({
                        code: "1"
                    }), e = null)
                },
                fail(a) {
                    console.log("分享失败"),
                    null != e && (e({
                        code: "0"
                    }), e = null)
                }
            })
        }
        static GetRecorderState() {
            return h.RecorderState
        }
        static ShowRecorderButton(e, a, t) {
            var i = e.addChild(new ui.UI.AD.RecorderButtonUI);
            return i.x = a,
            i.y = t,
            i.Btn.on(Laya.Event.CLICK, this,
            function() {
                "share" == h.RecorderState && h.RecorderShare()
            }),
            i
        }
        static RecorderStart(e) {
            console.log("luzhikaishi"),
            h.RecorderManager.stop(),
            tt.onShow(e =>{
                h.RecorderManager.resume()
            }),
            tt.onHide(() =>{
                h.RecorderManager.pause()
            }),
            h.RecorderManager.onStart(a =>{
                null != e && (e(1), e = null)
            }),
            setTimeout(function() {
                console.log("录屏开始"),
                h.RecorderManager.start({
                    duration: 6e4
                }),
                h.RecorderTime = (new Date).getTime()
            },
            500)
        }
        static RecorderStop(e) {
            tt.offShow(() =>{}),
            tt.offHide(() =>{}),
            h.RecorderManager.stop(),
            h.RecorderManager.onStop(a =>{
                h.videoPath = a.videoPath,
                console.log("录屏结束：" + a.videoPath),
                (new Date).getTime() - h.RecorderTime <= 4e3 ? (null != e && (e(0), e = null), tt.showToast({
                    title: "录屏时间小于3秒录制失败！！！",
                    icon: "none",
                    duration: 1e3,
                    mask: !1
                })) : null != e && (e(1), e = null)
            })
        }
        static GaiLv(e) {
            return 1 + Math.floor(100 * Math.random()) <= e
        }
        static RecorderShare(e) {
            tt.shareAppMessage({
                channel: "video",
                title: h.gameName,
                imageUrl: "",
                query: "",
                extra: {
                    videoPath: h.videoPath,
                    videoTopics: [h.shareTip, "#果冻人出击", "#果冻人出击"]
                },
                success() {
                    console.log("分享录屏成功"),
                    null != e && (e(1), e = null)
                },
                fail(a) {
                    console.log("分享录屏失败"),
                    null != e && (e(0), e = null)
                }
            })
        }
        static showInterstitialAd() {
            console.log("---+++调一下插屏");
            var e = tt.createInterstitialAd({
                adUnitId: h.InterstitialId
            });
            e.load().then(() =>{
                e.show()
            }).
            catch(e =>{
                console.log(e)
            }),
            e.onClose(function() {
                console.error("-- TT 插屏广告关闭"),
                e.destroy(),
                e = null
            })
        }
        static showRewardedVideoAd(e) {
            h.videoCallback = e,
            h.videoAd.show().then(() =>console.log("激励视频 广告显示")).
            catch(() =>{
                h.videoAd.load().then(() =>h.videoAd.show()).
                catch(e =>{
                    tt.showToast({
                        title: "广告加载失败,请稍后重试！",
                        icon: "none",
                        duration: 1e3,
                        success(e) {
                            console.log(`$ {
                                e
                            }`)
                        },
                        fail(e) {
                            console.log("showToast调用失败")
                        }
                    })
                })
            })
        }
    }
    h.appId = "ttcaa8bc155590164f02",
    h.bannerId = "74bmr6p9a5n1kc2bf4",
    h.videoId = "ah6p62lhmdu7hrfes5",
    h.InterstitialId = "l21050eic6h23hbgk7",
    h.shardId = "1f09b1hn4qg5cmmfb8",
    h.videoAd = null,
    h.GAME_CESHIKONGZHI = !1,
    h.openRandShare = 0,
    h.shareVideo = 0,
    h.shareVideoURL = [],
    h.locationList = "",
    h.myLocation = "",
    h.mapTiLiIndex = 3,
    h.GAME_CESHI_BANNER = null,
    h.videoCallback = null,
    h.preClickTime = 0,
    h.RecorderTime = 0,
    h.RecorderState = "",
    h.videoPath = "",
    h.gameName = "",
    h.shareTip = "";
    class g {
        static Init(e) {
            this.loadLLab(e)
        }
        static loadLLab(e) {
            qg.request({
                url: "",
                data: {},
                header: {
                    "content-type": "application/json"
                },
                success(a) {
                    a.data && (console.log("VivoSdk SdkInit = " + JSON.stringify(a.data)), g.GAME_CESHIKONGZHI = a.data.openIBn, g.size = a.data.size, g.locationList = a.data.locationList, e())
                },
                fail(a) {
                    console.log("VivoSdk SdkInit fail " + JSON.stringify(a)),
                    g.openIBn = !0,
                    g.size = .8,
                    e()
                },
                complete(e) {
                    console.log("VivoSdk SdkInit complete " + JSON.stringify(e))
                }
            })
        }
        static getMyLocation(e) {
            qg.request({
                url: "",
                data: {},
                header: {
                    "content-type": "application/json"
                },
                success(a) {
                    if ( - 1 != a) {
                        var t = a.data;
                        g.myLocation = t.cityCode,
                        g.loadLLab(e)
                    } else g.loadLLab(e)
                },
                fail(a) {
                    g.loadLLab(e)
                }
            })
        }
        static getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("hasDays:" + t),
            console.log("currentYear:" + e),
            t >= 142 || e > 2021
        }
        static onLoadAd() {
            g.nativeCurrentIndex = g.nativeCurrentIndex + 1,
            g.nativeCurrentIndex = d.RandomInt(0, 2),
            g.nativeAd = qg.createNativeAd({
                posId: g.nativeCurrentId[g.nativeCurrentIndex]
            }),
            g.nativeAd.load(),
            g.nativeAd.onLoad(function(e) {
                if (console.log("---------onLoadAd---11-------:" + JSON.stringify(e)), e.adList && e.adList.length > 0) {
                    g.AdData = e;
                    var a = g.AdData.adList[0];
                    g.nativeAd.reportAdShow({
                        adId: a.adId
                    })
                }
            }),
            g.nativeAd.onError(function(e) {
                g.nativeAd = null,
                console.log("原生广告加载错误", JSON.stringify(e))
            })
        }
        static showBanner() {
            if (null != g.curBanner) return g.curBanner.destroy(),
            void(g.curBanner = null);
            if ("" != g.bannerId) {
                var e = qg.createBannerAd({
                    posId: g.bannerId,
                    style: {}
                });
                e.onLoad(function() {}),
                e.show().then(() =>{
                    console.log("banner广告展示完成")
                }).
                catch(e =>{
                    console.log("banner广告展示失败", JSON.stringify(e))
                }),
                g.curBanner = e
            }
        }
        static CloseBanner() {
            null != g.curBanner && (g.curBanner.destroy(), g.curBanner = null),
            g.nativeBannerUI && (g.nativeBannerUI.destroy(), g.nativeBannerUI = null)
        }
        static ShowInterstitial() {
            console.log("---+++调一下插屏222");
            if ("" != g.interstitialId) {
                var e = qg.createInterstitialAd({
                    posId: g.interstitialId
                });
                e.onError(e =>{
                    console.log("插屏广告加载失败", e)
                }),
                e.onLoad(() =>{
                    console.log("插屏广告加载成功")
                }),
                e.show().then(() =>{
                    console.log("插屏广告展示完成")
                }).
                catch(e =>{
                    console.log("插屏广告展示失败", JSON.stringify(e))
                })
            }
        }
        static showVideo(e) {
            if (console.log("-----showVideo--------:" + g.videoId), g.GAME_CESHIKONGZHI) e({
                code: 1
            });
            else if (g.videoTime = (new Date).getTime(), qg.createRewardedVideoAd) {
                var a = qg.createRewardedVideoAd({
                    posId: g.videoId
                });
                a.onClose(a =>{
                    Laya.timer.resume(),
                    Laya.SoundManager.setMusicVolume(.5),
                    Laya.SoundManager.setSoundVolume(.5),
                    a && a.isEnded ? null != e && (e({
                        code: 1
                    }), e = null) : (e({
                        code: 0
                    }), console.log("播放中途退出，不下发游戏奖励"))
                }),
                a.onError(e =>{
                    console.log("激励视频异常", e)
                }),
                a.onLoad(() =>{
                    console.log("激励视频已加载"),
                    a.show().then(() =>{
                        Laya.timer.pause(),
                        Laya.SoundManager.setMusicVolume(0),
                        Laya.SoundManager.setSoundVolume(0),
                        console.log("激励视频广告显示成功")
                    }).
                    catch(e =>{
                        console.log("激励视频广告显示失败", e)
                    })
                }),
                a.load().then(() =>{
                    console.log("激励视频广告加载成功")
                }).
                catch(e =>{
                    console.log("激励视频广告加载失败", e),
                    UIManager.ShowGameTipUI("稍后再试！")
                })
            }
        }
        static GaiLv(e) {
            return 1 + Math.floor(100 * Math.random()) <= e
        }
        static ShowNaticeBanner() {
            g.showBanner()
        }
        static ShowNaticeInterstitial() {
            var e = g.AdData;
            if (console.log("--------------ShowNaticeInterstitial:" + JSON.stringify(e)), g.nativeBannerUI && (g.nativeBannerUI.destroy(), g.nativeBannerUI = null), null != e) if (g.nativeAd && e.adList.length > 0) {
                var a = Laya.stage.addChild(new n);
                if (g.nativeInterstitialUI = a, a.zOrder = 200, console.log("--------ShowNaticeInterstitial--------size:" + g.size), a.close.scaleX = g.size, a.close.scaleY = g.size, e.adList && e.adList.length > 0) {
                    var t = e.adList[0];
                    a.bj.skin = t.imgUrlList[0],
                    a.title.visible = !1,
                    a.des.visible = !1,
                    a.icon.visible = !1,
                    a.title.text = t.title,
                    a.des.text = t.desc,
                    a.close.on(Laya.Event.CLICK, this,
                    function() {
                        a.destroy(),
                        a = null,
                        g.nativeAd = null,
                        g.nativeInterstitialUI = null,
                        g.AdData = null,
                        g.GAME_CESHIKONGZHI && g.ShowInterstitial()
                    }),
                    a.bj.on(Laya.Event.CLICK, this,
                    function() {
                        console.log("点击广告。。。"),
                        g.nativeAd.reportAdClick({
                            adId: t.adId
                        }),
                        a.destroy(),
                        a = null,
                        g.nativeAd = null,
                        g.nativeInterstitialUI = null,
                        g.AdData = null
                    })
                } else g.ShowInterstitial()
            } else g.ShowInterstitial();
            else g.ShowInterstitial()
        }
        static ShowMoBanInterstitial() {
            var e = d.RandomInt(0, 2);
            if (qg.createCustomAd) {
                const a = qg.createCustomAd({
                    posId: g.mobanId[e],
                    style: {
                        top: qg.getSystemInfoSync().windowHeight / 2 - 360
                    }
                });
                a.onError(e =>{
                    g.ShowInterstitial(),
                    console.log("原生模板广告加载失败", e)
                }),
                a.show().then(() =>{
                    console.log("原生模板广告展示完成")
                }).
                catch(e =>{
                    g.ShowInterstitial(),
                    console.log("原生模板广告展示失败", JSON.stringify(e))
                })
            }
        }
    }
    g.bannerId = "62edec512fc048ba817ad07bfae3ce87",
    g.videoId = "a9999e1022554bc78976f460ade3d068",
    g.interstitialId = "08e78b447de646cb9069fc71c12d8adb",
    g.mobanId = ["606e7dc9d45a4e0eb4b606743b4c4c88", "b9977a5d7f8d4a55b4ad17bbbbdb169b", "8ca89c2b8d7c4fbbbb7030cf12e592f2"],
    g.nativeCurrentIndex = 0,
    g.nativeCurrentId = ["823652f0aca14f289207c4454ed99ddb", "5c83cd1458404726af94353b9f264020", "9832c5c362054067a976df565850233e"],
    g.curBanner = null,
    g.videoTime = 0,
    g.nativeBannerUI = null,
    g.nativeInterstitialUI = null,
    g.videoAd = null,
    g.GAME_CESHIKONGZHI = !1,
    g.size = 1,
    g.guaka = 1,
    g.AdData = null,
    g.nativeAd = null,
    g.videoCallback = null,
    g.preClickTime = 0,
    g.RecorderTime = 0,
    g.RecorderState = "",
    g.videoPath = "",
    g.gameName = "",
    g.shareTip = "";
    class y {
        static Init() {
            qq.request({
                url: "",
                data: {},
                header: {
                    "content-type": "application/json"
                },
                success(e) {
                    e.data && (y.GAME_CESHIKONGZHI = e.data.openIBn, y.openRandShare = e.data.size, y.randVideo = e.data.randVideo, console.log("GAME_CESHIKONGZHI = " + y.GAME_CESHIKONGZHI), console.log("QQSdk.openRandShare  = " + y.openRandShare))
                },
                fail(e) {
                    y.GAME_CESHIKONGZHI = !0,
                    y.openRandShare = 0
                }
            });
            console.log("--qqsdk---createBanner-------------" + y.GAME_CESHIKONGZHI),
            y.s_banner_ad = qq.createBannerAd({
                adUnitId: y.bannerId,
                style: {
                    left: 0,
                    top: qq.getSystemInfoSync().screenHeight - 90,
                    width: qq.getSystemInfoSync().screenWidth
                }
            }),
            y.s_banner_ad.onError(e =>{
                console.log("广告条发生错误，错误信息为：", e)
            }),
            y.interstitialAd = qq.createInterstitialAd({
                adUnitId: y.InterstitialId
            }),
            y.interstitialAd.load().then(() =>{}),
            y.interstitialAd.onClose(function() {
                console.error("-- TT 插屏广告关闭")
            }),
            qq.createRewardedVideoAd && (y.videoAd = qq.createRewardedVideoAd({
                adUnitId: y.videoId
            }), y.videoAd.load(), y.videoAd.onClose(function(e) {
                Laya.SoundManager.setMusicVolume(.5),
                Laya.SoundManager.setSoundVolume(.5),
                1 == e.isEnded ? y.videoCallback({
                    code: 1
                }) : qq.showToast({
                    title: "未观看完整视频！",
                    icon: "none",
                    duration: 1e3,
                    success(e) {
                        console.log(`$ {
                            e
                        }`)
                    },
                    fail(e) {
                        console.log("showToast调用失败")
                    }
                })
            })),
            y.blockAd = qq.createBlockAd({
                adUnitId: y.blockAdId,
                size: 2,
                orientation: "vertical",
                style: {
                    left: 10,
                    top: 90
                }
            }),
            qq.showShareMenu({
                showShareItems: ["qq", "qzone"]
            }),
            qq.onShareAppMessage(() =>({
                title: "大家都在玩的小游戏！！！",
                imageUrl: "./share.jpg"
            }))
        }
        static addMoreGamesButton() {
            let e = qq.createAppBox({
                adUnitId: y.MoreGameId
            });
            e.load().then(() =>{
                e.show()
            }),
            e.onClose(function() {
                y.GAME_CESHIKONGZHI && y.showInterstitialAd()
            })
        }
        static createBanner() {
            y.s_banner_ad && y.s_banner_ad.show()
        }
        static CloseBanner() {
            y.s_banner_ad && y.s_banner_ad.hide()
        }
        static showBlockAd() {
            y.blockAd && y.blockAd.show()
        }
        static hideBlockAd() {
            y.blockAd && y.blockAd.hide()
        }
        static control() {
            return y.GAME_CESHIKONGZHI
        }
        static getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("今天是%s年中的第%s天", e, t),
            t >= 123 || e > 2020
        }
        static ShowShare(e = null) {
            qq.shareAppMessage({
                title: y.gameName,
                desc: y.shareTip,
                imageUrl: "./share.jpg",
                query: "",
                success() {
                    console.log("分享成功"),
                    null != e && (e({
                        code: "1"
                    }), e = null)
                },
                fail(a) {
                    console.log("分享失败"),
                    null != e && (e({
                        code: "0"
                    }), e = null)
                }
            })
        }
        static GetRecorderState() {
            return y.RecorderState
        }
        static GaiLv(e) {
            return 1 + Math.floor(100 * Math.random()) <= e
        }
        static RecorderShare(e) {}
        static showInterstitialAd() {
            console.log("---+++调一下插屏333");
            y.interstitialAd && y.interstitialAd.show()
        }
        static AddZhuoMian() {
            qq.saveAppToDesktop({
                success: function(e) {
                    console.log("添加桌面成功：" + JSON.stringify(e))
                },
                fail: function(e) {
                    console.log("添加桌面失败：" + JSON.stringify(e))
                },
                complete: function() {}
            })
        }
        static showRewardedVideoAd(e) {
            y.videoCallback = e,
            Laya.SoundManager.setMusicVolume(0),
            Laya.SoundManager.setSoundVolume(0),
            y.videoAd.show().then(() =>console.log("激励视频 广告显示")).
            catch(() =>{
                y.videoAd.load().then(() =>y.videoAd.show()).
                catch(a =>{
                    qq.showToast({
                        title: "广告加载失败,请稍后重试！",
                        icon: "none",
                        duration: 1e3,
                        success(a) {
                            console.log(`$ {
                                a
                            }`),
                            Laya.SoundManager.setMusicVolume(.5),
                            Laya.SoundManager.setSoundVolume(.5),
                            e({
                                code: 0
                            })
                        },
                        fail(a) {
                            console.log("showToast调用失败"),
                            Laya.SoundManager.setMusicVolume(.5),
                            Laya.SoundManager.setSoundVolume(.5),
                            e({
                                code: 0
                            })
                        }
                    })
                })
            })
        }
    }
    y.bannerId = "",
    y.videoId = "",
    y.InterstitialId = "",
    y.blockAdId = "",
    y.MoreGameId = "",
    y.s_banner_ad = null,
    y.videoAd = null,
    y.interstitialAd = null,
    y.blockAd = null,
    y.GAME_CESHIKONGZHI = !1,
    y.openRandShare = 0,
    y.randVideo = 0,
    y.shareVideo = 0,
    y.shareVideoURL = [],
    y.GAME_CESHI_BANNER = null,
    y.videoCallback = null,
    y.preClickTime = 0,
    y.RecorderTime = 0,
    y.RecorderState = "",
    y.videoPath = "",
    y.gameName = "果冻人出击",
    y.shareTip = "都在玩的小游戏";
    class p {
        static Init() {
            p.interstitialAd = p.kwaigame.createInterstitialAd({
                adUnitId: p.InterstitialID
            }),
            p.rewardedVideoAd = p.kwaigame.createRewardedVideoAd({
                adUnitId: p.RewardID
            });
            if (p.rewardedVideoAd.onClose(e =>{
                e && e.isEnded || void 0 === e ? p.videoSuccess({
                    code: 1
                }) : p.videoSuccess({
                    code: 0
                })
            }), p.mediaRecorder = p.kwaigameSDK.createMediaRecorder(), null !== p.mediaRecorder) {
                p.mediaRecorder.onStart(function() {
                    console.log("录频开始成功")
                }),
                p.mediaRecorder.onStop(function(e) {
                    e && e.videoID ? console.log("录屏停止，录制成功") : console.log("录屏停止，录制失败")
                }),
                p.mediaRecorder.onError(function(e) {
                    console.log(`录频过程中发生错误$ {
                        JSON.stringify(e)
                    }`)
                });
                Laya.timer.once(2e3, this,
                function() {
                    var e = p.kwaigame.getLaunchOptionsSync();
                    if (console.log("小游戏信息:" + JSON.stringify(e)), e && p.rewardedVideoAd) {
                        var a = e.scene;
                        "011009" != a && "021009" != a || p.rewardedVideoAd.show().then(() =>console.log("激励视频 广告显示"))
                    }
                })
            } else console.log("返回 null 时表示当前 APP 版本不支持录屏")
        }
        static RecorderStart() {
            console.log("------开始录屏-----RecorderStart-------------"),
            p.mediaRecorder.start()
        }
        static RecorderStop() {
            console.log("------结束录屏-----RecorderStop-------------"),
            p.mediaRecorder.stop()
        }
        static RecorderShare(e) {
            p.mediaRecorder.publishVideo({
                callback: a =>{
                    if (null != a && null != a) return console.log("分享录屏失败: " + JSON.stringify(a)),
                    void e({
                        code: 0
                    });
                    e({
                        code: 1
                    }),
                    console.log("分享录屏成功")
                }
            })
        }
        static showInterstitialAd() {
            console.log("---+++调一下插屏444");
            console.log("-------------ShowInterstitialAd--------------------"),
            p.interstitialAd.show().then(function(e) {
                console.log(`show interstitial ad success, result is $ {
                    e
                }`)
            }).
            catch(function(e) {
                console.log("插屏错误：" + JSON.stringify(e)),
                e.code
            })
        }
        static showRewardedVideoAd(e) {
            p.videoSuccess = e,
            p.rewardedVideoAd.show().then(() =>console.log("激励视频 广告显示"))
        }
    }
    p.kwaigame = Laya.Browser.window.ks,
    p.kwaigameSDK = Laya.Browser.window.kwaigame,
    p.InterstitialID = "2300002016_02",
    p.RewardID = "2300002016_01",
    p.interstitialAd = null,
    p.rewardedVideoAd = null,
    p.mediaRecorder = null,
    p.videoSuccess = null,
    p.videoFailed = null;
    class u {
        static Init(e) {
            this.getYearDay() ? (u.openIBn = !0, u.openRandShare = 100, e(), d.GaiLv(u.openRandShare) && u.Vide4399Ad(function() {})) : (u.openIBn = !1, u.openRandShare = 0, e())
        }
        static getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("%s%s", e, t),
            t >= 30 || e > 2022
        }
        static Vide4399Ad(e) {
            e({
                code: 1
            })
        }
    }
    u.openIBn = !1,
    u.openRandShare = 0,
    u.shareVideo = 0,
    u.mapTiLiIndex = 3,
    u.heiYeType = 0;
    class m {
        static init() {
            window.qg && (m.platform = "oppo"),
            Laya.Browser.onVVMiniGame && (m.platform = "vivo"),
            window.wx && (m.platform = "web"),
            window.android && (m.platform = "web"),
            window.tt && (m.platform = "tt"),
            window.qq && (m.platform = "qq"),
            window.swan && (m.platform = "baidu"),
            window.ks && (m.platform = "kuaishou"),
            window.h5api && (m.platform = "4399"),
            console.log("------111------------SDK.platform:" + m.platform),
            "oppo" == m.platform ? c.Init(function() {
                d.control = c.GAME_CESHIKONGZHI,
                d.openRandShare = 0,
                console.log("-----oppo--------------control:" + d.control),
                console.log("-----oppo-------openRandShare:" + d.openRandShare)
            }) : "vivo" == m.platform ? g.Init(function() {
                d.control = g.GAME_CESHIKONGZHI,
                d.openRandShare = 0,
                console.log("-----vivo--------------control:" + d.control),
                console.log("-----vivo-------openRandShare:" + d.openRandShare)
            }) : "wx" == m.platform || ("tt" == m.platform ? (h.Init(), Laya.timer.once(1e3, this,
            function() {
                d.control = h.control(),
                d.openRandShare = h.openRandShare,
                console.log("------tt---------------control:" + d.control),
                console.log("------tt---------openRandShare:" + d.openRandShare)
            })) : "kuaishou" == m.platform ? (p.Init(), d.control = !0) : "qq" == m.platform ? (y.Init(), Laya.timer.once(1e3, this,
            function() {
                d.control = y.control(),
                d.openRandShare = 100,
                d.GaiLv(y.randVideo) && y.showRewardedVideoAd()
            })) : "baidu" == m.platform ? (baidusdk.Init(), Laya.timer.once(1e3, this,
            function() {
                d.control = baidusdk.GAME_CESHIKONGZHI,
                d.openRandShare = baidusdk.openRandShare,
                console.log("------tt---------------control:" + d.control),
                console.log("------tt---------openRandShare:" + d.openRandShare)
            })) : "4399" == m.platform ? u.Init(function() {
                d.control = u.openIBn,
                d.openRandShare = u.openRandShare
            }) : "web" == m.platform && (d.control = !1)),
            this.getYearDay()
        }
        static getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("hasDays:" + t),
            console.log("currentYear:" + e),
            t > 181 || e > 2021
        }
        static addDeskTopIcon() {
            "oppo" == m.platform ? c.AddZhuoMian() : "vivo" == m.platform ? c.AddZhuoMian() : "baidu" == m.platform || "qq" == m.platform && y.AddZhuoMian()
        }
        static showBlockAd() {
            "qq" == m.platform && y.showBlockAd()
        }
        static hideBlockAd() {
            "qq" == m.platform && y.hideBlockAd()
        }
        static addMoreGame() {
            console.log("---addMoreGame-------control:" + m.platform),
            "tt" == m.platform ? h.addMoreGamesButton() : "qq" == m.platform ? d.control && y.addMoreGamesButton() : "oppo" == m.platform && c.executeShowGamePortalAd()
        }
        static videoSuccess() {
            null != m.videoCallBack && (m.videoCallBack({
                code: 1
            }), m.videoCallBack = null)
        }
        static ChangeShareAndVideo(e) {
            return 2
        }
        static ClickShareOrVideo(e, a) {
            1 == m.ChangeShareAndVideo(e) ? m.ShowShare(e, a) : m.VideoAD(e, a)
        }
        static prompt(msg, duration) {
            console.log("---+++调一下没有视频的提示");
			// if (Laya.Browser.window.WebAudioEngine instanceof NullWebAudioEngine)
			// {
			// 	this.tipMsg(msg);
			// 	return 
			// }
            if (!this.prompt_) {
                this.prompt_ = document.createElement('div');
                this.prompt_.style.cssText = "font-family:siyuan;max-width:80%;min-width:320px;padding:10px 10px 10px 10px;min-height:40px;color: rgb(255, 255, 255);line-height: 20px;text-align:center;border-radius: 4px;position: fixed;top: 40%;left: 50%;transform: translate(-50%, -50%);z-index: 999999;background: rgba(0, 0, 0,.7);font-size: 16px;";
                document.body.appendChild(this.prompt_);
            }
            this.prompt_.innerHTML = msg;
            duration = isNaN(duration) ? 2000 : duration;
            this.prompt_.style.display = "inline";
            this.prompt_.style.opacity = '1';
            setTimeout(function () {
                var d = 0.5;
                this.prompt_.style.webkitTransition = '-webkit-transform ' + d + 's ease-in, opacity ' + d + 's ease-in';
                this.prompt_.style.opacity = '0';
                this.prompt_.style.display = "none";
            }.bind(this), duration);
        }
        static VideoAD(e, a) {
            console.log("-----------------" + e);
            awardVideo(e,()=>{
                a && a({code: 1})
              },
              (error)=>{
                  console.log('Error while open video ad:', error);
              })

            // if ("oppo" != m.platform) return "android" == m.platform ? (m.videoCallBack = a, void window.android.showVideo(e)) : void("wx" == m.platform ? a({
            //     code: 1
            // }) : "qq" == m.platform ? y.showRewardedVideoAd(a) : "vivo" == m.platform ? g.showVideo(a) : "tt" == m.platform ? h.showRewardedVideoAd(a) : "web" == m.platform ? a({
            //     code: 1
            // }) : "baidu" == m.platform ? baidusdk.showRewardedVideoAd(a) : "kuaishou" == m.platform ? p.showRewardedVideoAd(a) : "4399" == m.platform && u.Vide4399Ad(a));
            // c.createRewardedVideoAd(a)
            // if (window.ysdk) {
            //     let isReward = false;
            //     a && a({code: 1})
            //     window.ysdk.adv.showRewardedVideo({
            //         callbacks: {
            //             onOpen: () => {
            //                 Laya.SoundManager.muted = true;
            //                 console.warn('Video ad open.');
            //             },
            //             onRewarded: () => {
            //                 isReward = true;
            //                 console.warn('Rewarded!');
            //             },
            //             onClose: () => {
            //                 if (isReward) {
            //                     a({code: 1})
            //                 } else {
            //                     a({code: 0})
            //                 }
            //                 Laya.SoundManager.muted = false;
            //                 console.warn('Video ad closed.');
            //             },
            //             onError: (e) => {
            //                 Laya.SoundManager.muted = false;
            //                 console.warn('Error while open video ad:', e);
            //             }
            //         }
            //     })
            // } else {
            //     a && a({code: 1})
            // }
            
            // HTXDSDK.showRewardedVideoAd(1,
            //     ()=>{
            //         a && a({code: 1})
            //     },
            //     (err)=>{
            //         HTXDSDK.prompt(err)
            //     })
        }
        static showFullScreenAd(call, force) {
            console.log("---showFullScreenAd---");
            let currentTime = Math.round(new Date().getTime() / 1000);
            if (window.ysdk && (!isDraft || force) && currentTime - this.fullAdTime >= 60) {
                window.ysdk.adv.showFullscreenAdv({
                    callbacks: {
                        onOpen: () => {
                            Laya.SoundManager.muted = true;
                            this.fullAdTime = Math.round(new Date().getTime() / 1000);
                            console.warn(`fullscreen open`)
                        },
                        onClose: (wasShown) => {
                            if (wasShown) {
                                this.fullAdTime = Math.round(new Date().getTime() / 1000);
                            }
                            call && call();
                            Laya.SoundManager.muted = false;
                            console.warn(`fullscreen close`, wasShown)
                            // some action after close
                        },
                        onError: (error) => {
                            call && call();
                            Laya.SoundManager.muted = false;
                            console.warn(`fullscreen error`, error)
                            // some action on error
                        }
                    }
                })
            } else {
                call && call();
            }
        }
        static ShowGameOverNatice(e) {
            // "oppo" == m.platform && c.ShowNaticeInterstitial(e)
        }
        static InsertAD(e) {
            // "oppo" == m.platform || ("vivo" == m.platform ? d.control ? g.ShowMoBanInterstitial() : d.GaiLv(50) ? g.ShowMoBanInterstitial() : g.ShowInterstitial() : "android" == m.platform ? window.android.showChaPing(e) : "tt" == m.platform ? h.showInterstitialAd() : "kuaishou" == m.platform ? p.showInterstitialAd() : "qq" == m.platform && (d.control ? y.addMoreGamesButton() : y.showInterstitialAd()))
        }
        static showVivoInsertAD() {
            // "vivo" == m.platform && g.ShowInterstitial()
        }
        static ShowShare(e, a) {
            // "wx" == m.platform || ("qq" == m.platform ? y.ShowShare(a) : "tt" == m.platform ? h.ShowShare(a) : "web" == m.platform ? a({
            //     code: "1"
            // }) : "baidu" == m.platform && baidusdk.ShowShare(a))
        }
        static showBannerAdBox() {
            // "oppo" != m.platform || c.executeShowBannerAdBox()
        }
        static closeBannerAdBox() {
            // "oppo" != m.platform || c.bannerAdBoxClose()
        }
        static BannerAD(e = 1, a = 0, t = null) {
            console.log("---+++展示banner222");
            // HTXDSDK.showBannerAd(()=>{})
        }
        static CloseBannerAD(e = 1) {
            // "oppo" != m.platform ? "vivo" != m.platform ? "qq" == m.platform ? y.CloseBanner() : "tt" == m.platform ? h.CloseBanner() : "android" == m.platform ? window.android.CloseBannerAD(e) : "baidu" == m.platform && 0 == BiaoQian.banner && baidusdk.CloseBanner() : g.CloseBanner() : c.CloseBanner()
        }
        static Recorder(e, a) {
            1 == e && ("tt" == m.platform ? h.RecorderStart(a) : "kuaishou" == m.platform && p.RecorderStart()),
            2 == e && ("tt" == m.platform ? h.RecorderStop(a) : "kuaishou" == m.platform && p.RecorderStop()),
            3 == e && ("tt" == m.platform ? h.RecorderShare(a) : "kuaishou" == m.platform && p.RecorderShare(a))
        }
        static ShowRecorderButton(e, a, t, i) {
            if ("tt" == m.platform) {
                var n = e.addChild(new ui.UI.AD.RecorderButtonUI);
                return n.x = a,
                n.y = t,
                n.Btn.on(Laya.Event.CLICK, this,
                function() {
                    m.Recorder(3, i)
                }),
                n
            }
        }
    }
    m.fullAdTime = 0;
    m.videoCallBack = null,
    m.platform = "web";
    class v {
        static ChangeZuiJiaTime(e, a) {
            var t = v.GetUserData("zuiJiaTime");
            return null != t[e] ? t[e] > a && (t[e] = a) : t[e] = a,
            v.SetUserData("zuiJiaTime", t),
            v.SaveData(),
            t[e]
        }
        static GetData() {
            var e = window.ystorage.getItem("userDatagong");
            if (e) {
                v.user = JSON.parse(e); (new Date).getDate();
                v.user.curDay
            }
        }
        static SaveData() {
            var e = JSON.stringify(v.user);
            window.ystorage.setItem("userDatagong", e)
        }
        static GetUserData(e) {
            return null != v.user[e] ? v.user[e] : v.userDV[e]
        }
        static SetUserData(e, a) {
            v.user[e] = a,
            this.SaveData()
        }
    }
    v.user = {},
    v.userDV = {},
    v.passGuanMaxTime = 180,
    v.userDV.playerIndex = 1,
    v.userDV.playerHave = [1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    v.userDV.wuqiIndex = 1,
    v.userDV.wuqiHave = [1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    v.userDV.keyNum = 0,
    v.userDV.curSelectGuanQia = 1,
    v.userDV.jinbi = 10,
    v.userDV.zuiJiaTime = {},
    v.userDV.yinliang = .5;
    class f {
        static ShowUIPanel(e, a = !0, t = null) {
            // if (HTXDSDK.ADConfig != null && HTXDSDK.ADConfig != undefined){
            //     console.log("---+++HTXDSDK.ADConfig.data.isOpenAd",HTXDSDK.ADConfig.data.isOpenAd);
            //     if (HTXDSDK.ADConfig.data.isOpenAd == "1"){
            //         HTXDSDK.showInterstitialAd(1,()=>{})
            //     }
            // }
            if(e == 'shopScene2'){
                nativeOpen("锤子页");
            } else if(e == 'shopScene'){
                nativeOpen("角色页");
            } else if(e == "getWuQi"){
                nativeOpen("弹出页");
            } else if(e == "baoxiangScene"){
                nativeOpen("宝箱页");
            } else if(e == "gameScene"){
                nativeOpen("游戏页");
            }
            console.log("=======name=========:" + e),
            Laya.Scene.open("scene/" + e + ".scene", a, t),
            console.log("=======ShowUIPanel====end=====:")
        }
        static getSceneByName(e) {
            for (var a = Laya.Scene.unDestroyedScenes,
            t = 0,
            i = a.length; t < i; t++) {
                var n = a[t];
                if (console.log("scene.name:" + n.name), console.log("scene.url:" + n.url), n.name == e) return n
            }
        }
        static ShowGoldEffectUI(e, a, t = !1) {
            var i = Laya.stage.addChild(new ui.UI.Prefab.GoldEffectUI);
            i.x = a.x,
            i.y = a.y - 100,
            -1 != e.indexOf("gameTip") ? (i.value02.skin = "UIRes/" + e + ".png", i.value02.visible = !0, i.value01.visible = !1) : (d.ChangeFnt(i.value01.getChildByName("text"), e), i.value01.visible = !0, i.value02.visible = !1, i.wanshan.visible = t),
            Laya.timer.frameOnce(65, this,
            function() {
                i.destroy()
            })
        }
        static ShowBiaoQingEffect(e) {
            var a = Laya.stage.addChild(new ui.UIPanel.BiaoQingEffectUI);
            return a.bqImg.skin = "UIRes/" + e + ".png",
            a
        }
        static ShowScoreEffect(e, a, t) {
            var i = Laya.stage.addChild(new ui.UIPanel.ScoreEffectUI);
            return i.scoreImg.skin = "UIRes/" + e + ".png",
            i.x = a,
            i.y = t,
            i
        }
        static GoldFormat(e) {
            return e >= 1e3 ? parseInt(e / 1e3) + "k": e
        }
        static ShowGameTipUI(e, a) {
            var t = new Laya.Point(360, 640);
            if (a) {
                t = a.parent.localToGlobal(new Laya.Point(a.x, a.y));
                var i = a.x - a.pivotX + .5 * a.displayWidth;
                t.x = i
            }
            let n = Laya.stage.addChild(new r);
            n.value.text = e,
            n.x = Laya.stage.width/2,
            n.y = t.y,
            Laya.timer.frameOnce(60, this,
            function() {
                n.destroy()
            })
        }
        static ShowTipUI(e, a) {
            let t = Laya.stage.addChild(new ui.UI.Prefab.tipUI);
            return t.okBtn.on(Laya.Event.CLICK, this,
            function() {
                e(),
                console.log("-------okBtn--------------")
            }),
            t.closeBtn.on(Laya.Event.CLICK, this,
            function() {
                a(),
                console.log("------closeBtn--------------")
            }),
            t
        }
        static ShowGameOverUI(e) {
            "over" != d.gameState && (d.gameState = "over", Laya.timer.frameOnce(120, this,
            function() {
                if (f.mainUI.HideShowGameUI(!1), 0 == e.win && e.addGold / v.GetLevelGold() > .3) f.ShowUIPanel("ContinueGameUI", !1, e);
                else {
                    for (var a = 0; a < e.task.length; a++) if (e.task[a] > 0) return void f.ShowUIPanel("TaskTargetUI", !1, e);
                    f.ShowUIPanel("GameOver", !1, e)
                }
            }))
        }
    }
    f.mainUI = null,
    f.garageUI = null;
    class w extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            this.keyNum = this.RandomInt(1, 3),
            this.king = [0, 0, 0, 0, 0, 0, 0, 0, 0],
            this.againThree = !1,
            this.cishu = 0,
            this.openNum = 0;
            for (var e = 1; e < 10; e++) {
                var a = this.box.getChildByName("box_" + e);
                a.on(Laya.Event.CLICK, this, this.boxBtnOnClick, [e]),
                a.getChildByName("shipin" + e).visible = !1,
                a.getChildByName("box" + e + "Num").visible = !1
            }
            this.againBtn.visible = !1,
            this.againBtn.on(Laya.Event.CLICK, this,
            function(e) {
                m.VideoAD(1001,
                function(e) {
                    1 == e.code && (this.againThree = !0, this.keyNum = 3, this.huifu())
                }.bind(this))
            }),
            this.closeBtn.visible = !1,
            this.closeBtn.on(Laya.Event.CLICK, this,
            function(e) {
                var a = 1 == d.gameOverState;
                f.ShowUIPanel("GameOver", !0, {
                    result: a
                }),
                this.destroy()
            }),
            d.GaiLv(50) && d.control,
            m.InsertAD(1),
            m.BannerAD(1),
            f.ShowUIPanel("getWuQi", !1)
        }
        RandomInt(e, a) {
            if ((a += 1) == e) {
                a = e;
                mid = 0
            }
            return e + Math.floor(Math.random() * (a - e))
        }
        boxBtnOnClick(e) {
            if (console.log("----index--------:" + e), d.PlaySound("jinbi"), 0 == this.king[e - 1] && this.openNum < this.keyNum) {
                var a = this.box.getChildByName("box_" + e);
                a.getChildByName("xiangzi").skin = "res/qian.png";
                var t = a.getChildByName("box" + e + "Num");
                t.visible = !0;
                var i = this.RandomInt(10, 20),
                n = v.GetUserData("jinbi") + i;
                if (v.SetUserData("jinbi", n), t.value = i, this.openNum++, this.openNum, this.keyNum, this.king[e - 1] = 2, this.openNum == this.keyNum) {
                    this.closeBtn.visible = !0,
                    this.againThree || (this.againBtn.visible = !0);
                    for (var o = 0; o < this.king.length; o++) {
                        if (0 == (n = this.king[o])) this.king[o] = 1,
                        this.box.getChildByName("box_" + (o + 1)).getChildByName("shipin" + (o + 1)).visible = !0
                    }
                }
            } else 1 == this.king[e - 1] ? m.VideoAD(1002,
            function(a) {
                if (1 == a.code) {
                    var t = this.box.getChildByName("box_" + e);
                    t.getChildByName("xiangzi").skin = "res/qian.png",
                    t.getChildByName("shipin" + e).visible = !1,
                    this.king[e - 1] = 2,
                    t.getChildByName("box" + e + "Num").visible = !0;
                    var i = this.RandomInt(10, 20),
                    n = v.GetUserData("jinbi") + i;
                    v.SetUserData("jinbi", n)
                }
            }.bind(this)) : console.log("宝箱已经开启")
        }
        huifu() {
            this.openNum = 0,
            this.closeBtn.visible = !1,
            this.againBtn.visible = !1;
            for (var e = 0; e < this.king.length; e++) {
                if (1 == this.king[e]) this.king[e] = 0,
                this.box.getChildByName("box_" + (e + 1)).getChildByName("shipin" + (e + 1)).visible = !1
            }
        }
        onDisable() {}
    }
    class S extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            v.GetData(),
            m.init(),
            this.loadValue = 0,
            this.curValue = 0,
            this.onUpdate()
            Laya.timer.frameLoop(1, this, this.onUpdate)
            // PrivacyModal.createJianKang()
            this.loadPressRes(() => {
                this.LoadConfig()
            })
        }
        onDisable() {}
        onUpdate() {
            this.curValue += .01,
            this.curValue > this.loadValue && (this.curValue = this.loadValue),
            this.logoBar.mask.graphics.clear(),
            this.logoBar.mask.graphics.drawRect(0, -5, this.logoBar.width * this.curValue, 71, "#ff0000")
        }
        LoadConfig() {
            var e = "res/map/Conventional/model.lh";
            Laya.loader.create(e, Laya.Handler.create(this,
            function() {
                d.models = Laya.loader.getRes(e)
            }));
            var a = ["res/map/Conventional/Assets/changjing/Materials/1.lmat", "res/map/Conventional/Assets/changjing/Materials/2.lmat", "res/map/Conventional/Assets/changjing/Materials/3.lmat", "res/map/Conventional/Assets/changjing/Materials/4.lmat", "res/map/Conventional/Assets/changjing/Materials/5.lmat", "res/map/Conventional/Assets/changjing/Materials/6.lmat", "res/map/Conventional/Assets/changjing/Materials/7.lmat", "res/map/Conventional/Assets/changjing/Materials/8.lmat", "res/map/Conventional/Assets/changjing/Materials/9.lmat", "res/map/Conventional/Assets/changjing/Materials/10.lmat"];
            console.log("------materialName----:" + a[0]),
            Laya.loader.create(a, Laya.Handler.create(this,
            function() {
                for (var e = 0; e < a.length; e++) {
                    var t = Laya.loader.getRes(a[e].url);
                    t && d.material.push(t)
                }
                this.loadValue = .3,
                this.LoadUI()
            }))
        }
        LoadUI() {
            var e = "res/map/Conventional/game.ls";
            Laya.loader.create(e, Laya.Handler.create(this,
            function() {
                d.curScene = Laya.loader.getRes(e),
                this.StartGame()
            }), Laya.Handler.create(this,
            function(e) {}))
        }
        StartGame() {
            this.loadValue = .8,
            Laya.timer.once(800, this,
                function() {
                    this.loadValue = .9,
                    Laya.stage.addChildAt(d.curScene, 0),
                    d.PlaySound("beijing"),
                    f.ShowUIPanel("MainScene")
                })
            // PrivacyModal.ShowPrivacyFirst(() => {
            //     this.loadValue = .8,
            //     PrivacyModal.createPrivacyBtn(() => {})
            // Laya.timer.once(800, this,
            // function() {
            //     this.loadValue = .9,
            //     Laya.stage.addChildAt(d.curScene, 0),
            //     d.PlaySound("beijing"),
            //     f.ShowUIPanel("MainScene")
            // })
            // },(msg)=>{
            //     console.log("errmsg",msg);
            // });  
        }
        loadPressRes(call) {
            let preLoadJsonFile = function() {
                var self = this;
                let res = [{
                    url: "res/res.json",
                    type: Laya.Loader.JSON
                }];
                Laya.loader.load(res, Laya.Handler.create(this, () => {
                    let d3res = Laya.loader.getRes('res/res.json')
                    for (let key in d3res) {
                        let url = Laya.URL.formatURL(key);
                        if (!Laya.Loader.preLoadedMap[url]) {
                            let str = d3res[key];
                            let obj = JSON.parse(str);
                            Laya.Loader.preLoadedMap[url] = obj;
                        }
                    }
                    preLoadBinFile();
                }));
            }

            let preLoadBinFile = function() {
                let res = [{
                    url: "res/res.bin",
                    type: Laya.Loader.BUFFER
                }]
                Laya.loader.load(res, Laya.Handler.create(this, (res) => {
                    let d3bin = Laya.loader.getRes('res/res.bin')
                    pasred3bin(d3bin);
                }));
            }
            let pasred3bin = function(d3bin) {
                let b = new Laya.Byte(d3bin)
                let len = b.readUint32()
                let str = b.readUTFBytes(len)
                let descJson = JSON.parse(str);
                let oldPos = b.pos;
                for (let key in descJson) {
                    let url = Laya.URL.formatURL(key);
                    if (!Laya.Loader.preLoadedMap[url]) {
                        let obj = descJson[key];
                        b.pos = obj.start + oldPos;
                        let buf = b.readArrayBuffer(obj.end + oldPos)
                        Laya.Loader.preLoadedMap[url] = buf;
                        Laya.Loader.preLoadedMap[key] = buf;
                    }
                }
                call && call();
            }
            preLoadJsonFile();
        }
    }
    class I extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.title_win.text = langManager.getLangStr("title_win");
            this.title_fail.text = langManager.getLangStr("title_fail");
            this.height = Laya.stage.height;
            this.nextBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy(),
                f.ShowUIPanel("loading")
            }),
            this.shuangbeiBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                m.VideoAD(1003,
                function(e) {
                    if (1 == e.code) {
                        var a = v.GetUserData("jinbi") + 60;
                        v.SetUserData("jinbi", a),
                        this.destroy(),
                        f.ShowUIPanel("loading")
                    }
                }.bind(this))
            }),
            d.GaiLv(50) && d.control && (this.shuangbeiBtn.y = 227, this.nextBtn.y = 416, this.shuangbeiBtn.skin = "res/goldbutton.png", this.nextBtn.skin = "res/anniu2.png"),
            this.restartBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy(),
                f.ShowUIPanel("loading")
            }),
            m.Recorder(2,
            function() {}),
            this.fenxiangBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                console.log("---fengxiang:"),
                m.Recorder(3,
                function() {
                    this.fenxiangBtn.visible = !1
                }.bind(this))
            }),
            d.GaiLv(50) && d.control && (this.shuangbeiBtn.y = 227, this.nextBtn.y = 416),
            "oppo" == m.platform ? (this.oppoAd.visible = !0, m.CloseBannerAD(), m.ShowGameOverNatice(this.oppoAd)) : "vivo" == m.platform ? (this.oppoAd.visible = !1, m.InsertAD(1), m.BannerAD(1)) : (this.oppoAd.visible = !1, m.showBlockAd(), m.InsertAD(1), m.BannerAD(1))
        }
        LoadGameUI() {
            d.gameUI.destroy(),
            d.gameUI = null,
            this.destroy(),
            f.ShowUIPanel("Loading")
        }
        update() {}
        onOpened(e) {
            if (console.log("-----PanelGameOver---------onOpened--------data.result:" + e.result), this.result = e.result, this.result) {
                d.PlaySound("shengli"),
                this.shengli.visible = !0,
                this.shibai.visible = !1,
                d.curPlayer.jinbi = 30;
                var a = v.GetUserData("jinbi") + 30;
                console.log("-------------jinbi:" + a),
                v.SetUserData("jinbi", a),
                this.gold.text = a;
                var t = d.curSelectGuanQia + 1;
                d.curSelectGuanQia = t < 5 ? t: 1,
                v.SetUserData("curSelectGuanQia", d.curSelectGuanQia);
                for (var i = 1; i < 4; i++) this["start" + i].skin = "res/Star_On.png";
                this.starAni.play(0, !1)
                nativeOpen("胜利页")
            } else d.PlaySound("shibai"),
            this.shengli.visible = !1,
            this.shibai.visible = !0
            nativeOpen("失败页")
        }
        onDisable() {
            m.showFullScreenAd(null, true);
        }
    }
    class L extends Laya.Script3D {
        constructor() {
            super()
        }
        onEnable() {}
        onDisable() {}
        onTriggerEnter(e) {
            var a = e.owner.name;
            if (console.log("-----PlayerCollision-----otherName:" + a), "gold" == a) {
                e.owner.removeSelf();
                var t = 10 * d.RandomInt(2, 5);
                d.gameUI.addGoldNum(t)
            } else "gameover" == a && console.log("------------stopRun-----------")
        }
    }
    class b extends Laya.Script3D {
        constructor() {
            super()
        }
        onEnable() {
            console.log("aiWuQiCollision onEnable:")
        }
        onDisable() {}
        setPlayer(e, a) {
            this.player = e,
            this.playerId = a
        }
        onCollisionEnter(e) {
            console.log("aiWuQiCollision onCollisionEnter:" + e.other.otherName)
        }
        onCollisionStay(e) {
            console.log("aiWuQiCollision onCollisionStay:" + e.other.otherName)
        }
        onCollisionExit(e) {
            console.log("aiWuQiCollision onCollisionExit:" + e.other.otherName)
        }
        onTriggerEnter(e) {}
        onTriggerStay(e) {
            var a = e.owner.name;
            if ("SpringTrees" == a) {
                if (3 == this.player.playerState) {
                    var t = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        try {
                            t.play("Spring Trees")
                        } catch (error) {
                            console.log(error)
                        }
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("Water_drum" == a) {
                if (3 == this.player.playerState) {
                    var i = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        i.play("Water_drum");
                        var a = e.owner.transform.position;
                        d.gameUI.addGold(a)
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("Barrel" == a) {
                if (3 == this.player.playerState) {
                    i = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        i.play("Barrel")
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("summertree" == a) {
                if (3 == this.player.playerState) {
                    var n = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        n.play("summertree")
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("Desert_trees" == a) {
                if (3 == this.player.playerState) {
                    n = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        n.play("Desert_trees")
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("PineTree" == a) {
                if (3 == this.player.playerState) {
                    var o;
                    n = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        n.play("PineTree")
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("aiplayer" == a) {
                if (3 == this.player.playerState) e.owner.getComponent(C).setState(4),
                Laya.timer.once(800, this,
                function() {
                    e.owner && e.owner.destroy(),
                    d.gameUI.aiPlayerNum -= 1
                }),
                Laya.timer.once(300, this,
                function() {
                    this.player.changeSize()
                })
            } else "player" == a && 3 == this.player.playerState && (d.curPlayer.setState(4), Laya.timer.once(300, this,
            function() {}))
        }
        onTriggerExit(e) {
            e.owner.name
        }
    }
    class C extends Laya.Script3D {
        constructor() {
            super()
        }
        onEnable() {
            this.player = this.owner
        }
        setId(e) {
            console.log("------------AiPlayer---start-------------id：" + e),
            this.playerId = e,
            this.playerScale = 1,
            this.speed = 8e-4,
            this.playerState = 0,
            this.player = this.owner,
            this.playerAnimator = this.player.getChildByName("Character").getComponent(Laya.Animator),
            this.player.getChildByName("Character").getChildByName("effect_siwang").active = !1,
            this.player.getChildByName("Character").getChildByName("effect_yan").active = !1,
            this.startDirTime = (new Date).getTime() / 1e3,
            this.changeAngleTime = d.RandomInt(2, 5),
            this.statrAttackTime = (new Date).getTime() / 1e3,
            this.attackTime = d.RandomInt(4, 8);
            var a = d.RandomFloat( - 3, 3),
            t = d.RandomFloat( - 3, 3);
            console.log("---------aiplayer-----x:" + a + "           z:" + t),
            this.player.transform.position = new Laya.Vector3(a, .005, t),
            this.playerTrans = this.player.transform,
            this.lastAngle = 0,
            this.character = this.player.addComponent(Laya.CharacterController),
            this.character.gravity = 0;
            let i = new Laya.BoxColliderShape(.02, .05, .02);
            this.character.colliderShape = i;
            var n = this.player.getChildByName("Character").getChildByName("SkinParent").getChildByName("Character"),
            o = d.RandomInt(1, 12);
            console.log("AiPlayer playerId:" + o);
            for (var r = 0; r < n.numChildren; r++) {
                n.getChildAt(r).active = !1
            }
            var s = "reuwu" + o,
            l = n.getChildByName(s); (l && (l.active = !0), o <= 7) && (n.getChildByName("reuwu1").active = !0);
            this.hammer = this.player.getChildByName("Character").getChildByName("SkinParent").getChildByName("Armature").getChildByName("mixamorig:Hips").getChildByName("mixamorig:Spine").getChildByName("mixamorig:Spine1").getChildByName("mixamorig:Spine2").getChildByName("mixamorig:RightShoulder").getChildByName("mixamorig:RightArm").getChildByName("mixamorig:RightForeArm").getChildByName("mixamorig:RightHand").getChildByName("Hammer"),
            this.wuqi = this.player.getChildByName("wuqiModel"),
            this.aiWuQiScript = this.wuqi.addComponent(b),
            this.aiWuQiScript.setPlayer(this, this.playerId);
            var c = d.RandomInt(1, 12);
            for (r = 1; r < 13; r++) {
                var h = "wuqi" + r;
                this.hammer.getChildByName(h).active = r == c
            }
            Laya.timer.once(500, this,
            function() {
                this.setState(2)
            })
        }
        onDisable() {}
        setState(e) {
            if (console.log("--------this.playerState:" + this.playerState), console.log("---------aiplayer-----x:" + this.playerTrans.position.x + "           z:" + this.playerTrans.position.z), 4 != this.playerState) if (console.log("---------aiplayer-----x:" + this.playerTrans.position.x + "           z:" + this.playerTrans.position.z), 1 == e) {
                this.playerState != e && this.playerAnimator.play("daiji"),
                this.playerState = e;
                var a = new Laya.Vector3(0, 0, 0);
                this.character.move(a)
            } else if (2 == e) this.playerState != e && this.playerAnimator.play("zou"),
            this.playerState = e;
            else if (3 == e) {
                this.playerState != e && this.playerAnimator.play("gongji"),
                this.playerState = e;
                a = new Laya.Vector3(0, 0, 0);
                this.character.move(a),
                Laya.timer.once(500, this,
                function() {
                    this.setState(2);
                    var e = new Laya.Vector3(0, 0, 0);
                    this.playerTrans.getForward(e),
                    e = new Laya.Vector3( - e.x * this.speed, 0, -e.z * this.speed),
                    this.character.move(e)
                })
            } else if (4 == e) {
                this.playerState != e && Laya.timer.once(300, this,
                function() {
                    this.playerAnimator.play("siwang")
                }),
                this.playerState = e;
                a = new Laya.Vector3(0, 0, 0);
                this.character.move(a),
                this.character.enabled = !1,
                this.arrowUI && (this.arrowUI.visible = !1)
            }
        }
        UpdateArrow() {
            null == this.arrowUI && (this.arrowUI = d.gameUI.addChild(new s));
            var e = new Laya.Vector3(0, 0, 0);
            if (d.mainCamera) {
                d.gameUI.camera.viewport.project(new Laya.Vector3(this.playerTrans.position.x, this.playerTrans.position.y, this.playerTrans.position.z), d.gameUI.camera.projectionViewMatrix, e);
                var a = e.x / Laya.stage.clientScaleX,
                t = e.y / Laya.stage.clientScaleY,
                i = Laya.stage.width,
                n = Laya.stage.height;
                if (a < 0 || a > i || t < 0 || t > n) {
                    this.arrowUI.visible = !0;
                    var o = a,
                    r = t;
                    o < 0 && (o = 0),
                    o > i && (o = i - 45),
                    r < 0 && (r = 0),
                    r > n && (r = n - 45),
                    this.arrowUI.pos(o, r);
                    var l = 180 * Math.atan2(o - .5 * i, .5 * n - r) / Math.PI;
                    this.arrowUI.arrowImg && (this.arrowUI.arrowImg.rotation = l + 90)
                } else this.arrowUI.visible = !1
            }
        }
        setAngle() {
            if (4 != this.playerState && (new Date).getTime() / 1e3 - this.startDirTime > this.changeAngleTime) {
                console.log("---------setAngle:"),
                this.angle = d.RandomInt(0, 359),
                this.startDirTime = (new Date).getTime() / 1e3,
                this.changeAngleTime = d.RandomInt(5, 8),
                this.playerTrans.rotate(new Laya.Vector3(0, this.angle - this.lastAngle, 0), !1, !1),
                this.lastAngle = this.angle;
                var e = new Laya.Vector3(0, 0, 0);
                this.playerTrans.getForward(e),
                e = new Laya.Vector3( - e.x * this.speed, 0, -e.z * this.speed),
                this.character.move(e),
                this.playerAnimator.play("zou")
            }
        }
        attack() {
            4 != this.playerState && ((new Date).getTime() / 1e3 - this.statrAttackTime > this.attackTime && (this.statrAttackTime = (new Date).getTime() / 1e3, this.attackTime = d.RandomInt(4, 8), this.setState(3)))
        }
        changeSize() {
            var e = this.playerTrans.scale;
            this.playerScale = e.x + e.x / 5,
            console.log("===========changeSize===this.playerScale:" + this.playerScale),
            Laya.timer.frameLoop(1, this, this.ScalePlayer)
        }
        ScalePlayer() {
            var e = this.playerTrans.scale;
            console.log("===========ScalePlayer=================scaleDelta.x:" + e.x),
            e.x < this.playerScale ? (e.x += .5, e.y = e.z = e.x) : Laya.timer.clear(this, this.ScalePlayer),
            this.playerTrans.scale = new Laya.Vector3(e.x, e.y, e.z)
        }
        onUpdate() {
            "run" == d.gameState && 2 == this.playerState && (this.setAngle(), this.attack()),
            4 != this.playerState && "over" != d.gameState && this.UpdateArrow()
        }
    }
    class A extends Laya.Script3D {
        constructor() {
            super()
        }
        onEnable() {
            console.log("playerWuQiCollision onEnable:")
        }
        onDisable() {}
        onCollisionEnter(e) {
            console.log("playerWuQiCollision onCollisionEnter:" + e.other.otherName)
        }
        onCollisionStay(e) {
            console.log("playerWuQiCollision onCollisionStay:" + e.other.otherName)
        }
        onCollisionExit(e) {
            console.log("playerWuQiCollision onCollisionExit:" + e.other.otherName)
        }
        onTriggerEnter(e) {
            var a = e.owner.name;
            console.log("playerWuQiCollision onTriggerEnter:" + a)
        }
        onTriggerStay(e) {
            var a = e.owner.name;
            if ("SpringTrees" == a) {
                if (3 == d.curPlayer.playerState) {
                    var t = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        if (t.play("SpringTrees"), d.GaiLv(30)) {
                            var a = e.owner.transform.position;
                            d.gameUI.addGold(a)
                        }
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("Water_drum" == a) {
                if (3 == d.curPlayer.playerState) {
                    var i = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        i.play("Water_drum");
                        var a = e.owner.transform.position;
                        d.gameUI.addGold(a)
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("Barrel" == a) {
                if (3 == d.curPlayer.playerState) {
                    i = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        i.play("Barrel");
                        var a = e.owner.transform.position;
                        d.gameUI.addGold(a)
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("summertree" == a) {
                if (3 == d.curPlayer.playerState) {
                    var n = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        if (n.play("summertree"), d.GaiLv(30)) {
                            var a = e.owner.transform.position;
                            d.gameUI.addGold(a)
                        }
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("Desert_trees" == a) {
                if (3 == d.curPlayer.playerState) {
                    n = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        if (n.play("Desert_trees"), d.GaiLv(30)) {
                            var a = e.owner.transform.position;
                            d.gameUI.addGold(a)
                        }
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("PineTree" == a) {
                if (3 == d.curPlayer.playerState) {
                    var o;
                    n = e.owner.getComponent(Laya.Animator);
                    Laya.timer.once(300, this,
                    function() {
                        if (n.play("PineTree"), d.GaiLv(30)) {
                            var a = e.owner.transform.position;
                            d.gameUI.addGold(a)
                        }
                    }),
                    (o = e.owner.getComponent(Laya.PhysicsCollider)) && (o.enabled = !1),
                    Laya.timer.once(2e3, this,
                    function() {
                        e.owner && e.owner.destroy()
                    })
                }
            } else if ("aiplayer" == a) {
                if (3 == d.curPlayer.playerState) e.owner.getComponent(C).setState(4),
                Laya.timer.once(800, this,
                function() {
                    e.owner && e.owner.destroy(),
                    d.gameUI.aiPlayerNum -= 1,
                    d.gameUI.checkGameOver()
                }),
                Laya.timer.once(300, this,
                function() {
                    d.curPlayer.changeSize(),
                    d.gameUI.playCoolAni()
                })
            }
        }
        onTriggerExit(e) {
            e.owner.name
        }
    }
    class B extends Laya.Script3D {
        constructor() {
            super()
        }
        onEnable() {
            console.log("------------PlayerControl---start-------------"),
            this.speed = .0015,
            this.playerScale = 1,
            this.playerState = 0,
            this.targetX = 0,
            this.movePos = new Laya.Vector3(0, 0, 0),
            this.gameOver = !1,
            this.player = d.curScene.getChildByName("player"),
            this.player.getChildByName("Character").getChildByName("effect_siwang").active = !1,
            this.player.getChildByName("Character").getChildByName("effect_yan").active = !1,
            this.playerAnimator = this.player.getChildByName("Character").getComponent(Laya.Animator),
            this.setState(1),
            this.cameraTrans = d.mainCamera.transform,
            this.cameraToPlayerTrans = new Laya.Vector3(0, 1.79, 1.86),
            this.playerTrans = this.player.transform,
            this.cameraDri = 0,
            this.lastAngle = 0,
            this.character = this.player.addComponent(Laya.CharacterController),
            this.character.stepHeight = 0,
            this.player.addComponent(L),
            this.character.gravity = 0;
            let e = new Laya.BoxColliderShape(.02, .05, .02);
            this.character.colliderShape = e,
            this.StartGame(),
            this.wuqi = this.player.getChildByName("wuqiModel"),
            this.wuqi.addComponent(A)
        }
        onDisable() {}
        StartGame() {
            d.gameState = "run"
        }
        setState(e) {
            if (console.log("this.playerState:" + this.playerState), 4 != this.playerState && "over" != d.gameState) if (1 == e) this.playerState != e && this.playerAnimator.play("daiji"),
            this.playerState = e;
            else if (2 == e) this.playerState != e && this.playerAnimator.play("zou"),
            this.playerState = e;
            else if (3 == e) this.playerState != e && (this.playerAnimator.play("gongji"), Laya.timer.once(350, this,
            function() {
                d.PlaySound("gongji")
            })),
            d.gameUI.checkGameOver(),
            this.playerState = e,
            Laya.timer.once(450, this,
            function() {
                d.gameUI.setShakeCamera(),
                d.PlayVibrate()
            });
            else if (4 == e) {
                this.playerState != e && Laya.timer.once(300, this,
                function() {
                    this.playerAnimator.play("siwang")
                }),
                this.playerState = e;
                var a = new Laya.Vector3(0, 0, 0);
                this.character.move(a),
                this.character.enabled = !1,
                d.gameState = "over",
                Laya.timer.once(800, this,
                function() {
                    d.gameOverState = 2,
                    d.gameUI.destroy(),
                    "vivo" == m.platform ? f.ShowUIPanel("GameOver", !0, {
                        result: !1
                    }) : f.ShowUIPanel("baoxiangScene")
                })
            }
        }
        changeSize() {
            var e = this.playerTrans.scale;
            this.playerScale = e.x + e.x / 8,
            console.log("===========changeSize===this.playerScale:" + this.playerScale),
            Laya.timer.frameLoop(1, this, this.ScalePlayer)
        }
        ScalePlayer() {
            var e = this.playerTrans.scale;
            console.log("===========ScalePlayer=================scaleDelta.x:" + e.x),
            e.x < this.playerScale ? (e.x += .4, e.y = e.z = e.x, this.cameraToPlayerTrans.y += .04, this.cameraToPlayerTrans.z += .008, d.gameUI.camera.fieldOfView += .2, console.log("===========ScalePlayer=======GameManager.gameUI.camera.fieldOfView:" + d.gameUI.camera.fieldOfView)) : Laya.timer.clear(this, this.ScalePlayer),
            this.playerTrans.scale = new Laya.Vector3(e.x, e.y, e.z),
            this.cameraTrans.position = new Laya.Vector3(d.curPlayer.playerTrans.position.x + this.cameraToPlayerTrans.x, d.curPlayer.playerTrans.position.y + this.cameraToPlayerTrans.y, d.curPlayer.playerTrans.position.z + this.cameraToPlayerTrans.z)
        }
        playerWait(e) {
            d.gameState = "waitRun",
            d.gameUI.aniuBox.visible = !0;
            var a = new Laya.Vector3(0, 0, 0);
            this.character.move(a),
            this.playerAnimator.crossFade("daiji", 0),
            d.gameUI.setBtnSkin(e)
        }
        playerRun() {
            d.gameState = "run",
            d.gameUI.aniuBox.visible = !1,
            this.playerAnimator.play("zou")
        }
        moveEnd(e) {
            d.gameState = "endGame"
        }
        GameOver() {
            "over" != d.gameState && (d.gameState = "over", 1 == d.gameOverState ? (console.log("=================win==================="), d.PlaySound("win"), f.ShowUIPanel("GameOver", !1, {
                result: !0
            })) : f.ShowUIPanel("GameOver", !1, {
                result: !1
            }))
        }
        onUpdate() {
            if ( - 1 != d.gameUI.rocker.angle && "run" == d.gameState && 2 == this.playerState) {
                var e = d.gameUI.rocker.angle - this.lastAngle;
                Math.abs(d.gameUI.rocker.angle - this.lastAngle) > 10 && (e = d.gameUI.rocker.angle - this.lastAngle > 0 ? 10 : -10);
                var a = Math.sin(d.gameUI.rocker.radians),
                t = Math.cos(d.gameUI.rocker.radians);
                this.lastAngle = d.gameUI.rocker.angle - e,
                this.stickDirection = new Laya.Vector3(a, 0, -t);
                var i = new Laya.Quaternion(0, 0, 0, 1);
                Laya.Quaternion.rotationLookAt(this.stickDirection, new Laya.Vector3(0, 1, 0), i);
                var n = new Laya.Quaternion(0, 0, 0, 1);
                Laya.Quaternion.slerp(this.playerTrans.rotation, i, .1, n),
                this.playerTrans.rotation = n;
                var o = new Laya.Vector3(0, 0, 0);
                this.playerTrans.getForward(o),
                o = new Laya.Vector3( - o.x * this.speed, 0, -o.z * this.speed),
                this.character && this.character.move(o),
                this.cameraTrans.position = new Laya.Vector3(d.curPlayer.playerTrans.position.x + this.cameraToPlayerTrans.x, d.curPlayer.playerTrans.position.y + this.cameraToPlayerTrans.y, d.curPlayer.playerTrans.position.z + this.cameraToPlayerTrans.z)
            } else this.character && this.character.move(new Laya.Vector3(0, 0, 0))
        }
    }
    class x extends t {
        constructor() {
            super()
        }
        onEnable() {
            this.curTouchId = 0,
            this.isDown = !1,
            this.angle = -1,
            this.radians = -1,
            this.isleftControl = !0,
            Laya.stage.on(Laya.Event.MOUSE_DOWN, this, this.onMouseDown),
            Laya.stage.on(Laya.Event.MOUSE_UP, this, this.onMouseUp),
            this.originPiont = new Laya.Point(this.width / 2, this.height / 2),
            this.visible = !0,
            this.pos(Laya.stage.width / 2 - this.width / 2, 1e3),
            this.knob.pos(this.width / 2, this.height / 2),
            this.MOUSE_DOWNPiont = new Laya.Point(0, 0)
        }
        onDisable() {
            Laya.stage.off(Laya.Event.MOUSE_DOWN, this, this.onMouseDown),
            Laya.stage.off(Laya.Event.MOUSE_UP, this, this.onMouseUp),
            Laya.stage.off(Laya.Event.MOUSE_MOVE, this, this.onMove)
        }
        onMouseDown(e) {
            d.gameUI.handmove.visible && (d.gameUI.handmove.visible = !1),
            this.visible = !0,
            this.curTouchId = e.touchId,
            this.isDown = !0,
            this.pos(Laya.stage.mouseX - this.width / 2, Laya.stage.mouseY - this.height / 2),
            this.knob.pos(this.width / 2, this.height / 2),
            this.visible = !0,
            Laya.stage.on(Laya.Event.MOUSE_MOVE, this, this.onMove)
        }
        onMouseUp(e) {
            console.log("mouse up" + e.touchId),
            e.touchId == this.curTouchId && (this.isDown = !1, this.knob.pos(this.width / 2, this.height / 2), Laya.stage.off(Laya.Event.MOUSE_MOVE, this, this.onMove), this.radians = this.angle = -1, d.curPlayer.setState(3), this.visible = !1)
        }
        onMove(e) {
            if (e.touchId != this.curTouchId) return;
            var a = this.globalToLocal(new Laya.Point(Laya.stage.mouseX, Laya.stage.mouseY), !1);
            this.knob.pos(a.x, a.y),
            this.deltaX = a.x - this.originPiont.x,
            this.deltaY = a.y - this.originPiont.y;
            var t = this.deltaX * this.deltaX,
            i = this.deltaY * this.deltaY;
            if (this.angle = 180 * Math.atan2(this.deltaX, this.deltaY) / Math.PI, this.angle < 0 && (this.angle += 360), this.angle = Math.round(this.angle), this.radians = Math.PI / 180 * this.angle, t + i >= 6400) {
                var n = Math.floor(80 * Math.sin(this.radians) + this.originPiont.x),
                o = Math.floor(80 * Math.cos(this.radians) + this.originPiont.y);
                this.knob.pos(n, o)
            } else this.knob.pos(a.x, a.y);
            Math.sqrt(this.deltaX * this.deltaX + this.deltaY * this.deltaY) > 20 && d.curPlayer.setState(2)
        }
    }
    class D extends Laya.Script {
        constructor() {
            super()
        }
        onEnable() {
            this.enableShake = !1
        }
        init(e, a = 200, t = .01) {
            this.camera = e,
            this.longTime = a,
            this.extent = t,
            this.enableShake = !1,
            this.pos = this.camera.transform.position.clone()
        }
        onDisable() {}
        update() {
            if (this.enableShake && this.camera && this.shakeTime > 0) if (this.shakeTime -= Laya.timer.delta, this.shakeTime <= 0) this.camera.transform.position = this.pos,
            this.enableShake = !1,
            Laya.timer.clear(this, this.update);
            else {
                var e = -this.extent + this.extent * Math.random(),
                a = -this.extent + this.extent * Math.random();
                this.camera.transform.position = new Laya.Vector3(this.pos.x + a, this.pos.y + e, this.pos.z)
            }
        }
        enableShakeCamera(e) {
            this.enableShake = e,
            this.pos = this.camera.transform.position.clone(),
            this.enableShake ? (Laya.timer.clear(this, this.update), this.shakeTime = this.longTime, console.log("--enableShakeCamera-this.shakeTime----:" + this.shakeTime), Laya.timer.frameLoop(1, this, this.update)) : Laya.timer.clear(this, this.update)
        }
    }
    class k extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            d.gameUI = this,
            this.goldNum.value = v.GetUserData("jinbi"),
            d.mainCamera = d.curScene.getChildByName("MainCamera"),
            d.curPlayer = d.curScene.getChildByName("player").addComponent(B),
            this.rocker = this.addChild(new x),
            this.ShakeCamera = new D,
            this.camera = d.mainCamera.getChildByName("Camera"),
            this.cameraAnimator = this.camera.getComponent(Laya.Animator),
            this.cameraAnimator.play("shengxiangji01"),
            Laya.timer.once(1e3, this,
            function() {
                this.cameraAnimator.play("game")
            }),
            this.ShakeCamera.init(d.mainCamera, 100, .05),
            this.biaoti.visible = !1,
            this.rocker.visible = !1,
            this.handmove.play(0, !0),
            this.handmove.pos(Laya.stage.width/2, Laya.stage.height - 200),
            this.aiPlayerNum = 3 + 2 * d.curSelectGuanQia,
            this.initAiPlayer(),
            m.CloseBannerAD(),
            m.Recorder(1,
            function() {}),
            m.showBlockAd()
        }
        initAiPlayer() {
            for (var e = 1; e < this.aiPlayerNum + 1; e++) {
                var a = d.models.getChildByName("player").clone();
                a.name = "aiplayer",
                a.addComponent(C).setId(e),
                d.curScene.addChild(a)
            }
        }
        addGoldNum(e) {
            this.goldImg.visible = !0,
            this.goldImg.x = 369,
            this.goldImg.y = 640,
            this.goldImg.alpha = 1,
            Laya.Tween.to(this.goldImg, {
                x: 55,
                y: 111,
                alpha: .5
            },
            500, Laya.Ease.strongOut, Laya.Handler.create(this,
            function() {
                this.goldImg.visible = !1;
                var a = v.GetUserData("jinbi") + e;
                this.goldNum.value = a,
                v.SetUserData("jinbi", a)
            })),
            d.PlaySound("jinbi")
        }
        addGold(e) {
            var a = d.models.getChildByName("gold").clone();
            e.y = .1,
            a.transform.position = e,
            d.curScene.addChild(a)
        }
        setShakeCamera() {
            this.ShakeCamera.enableShakeCamera(!0)
        }
        playCoolAni() {
            this.biaoti.visible = !0;
            var e = d.GaiLv(50) > 50 ? 1 : -1;
            this.biaoti.rotation = e * d.RandomInt(25, 35);
            var a = d.RandomInt(1, 5);
            var colors = ["#5e7ff1","#ea4f8c","#5e7ff1","#ea4f8c","#5e7ff1","#ea4f8c","#5e7ff1"],
                biaotiArr = langManager.getLangStr("biaotiArr")
            this.biaoti.color=colors[a];
            this.biaoti.text=biaotiArr[a];
            // this.biaoti.skin = "res/G" + a + ".png",
            this.cool.play(0, !1)
        }
        checkGameOver() {
            if (console.log("this.aiPlayerNum:" + this.aiPlayerNum), this.aiPlayerNum <= 0) {
                d.gameOverState = 1,
                d.gameState = "over",
                d.PlaySound("yanhua");
                var e = d.models.getChildByName("shengli").clone();
                e.transform.position = d.curPlayer.playerTrans.position,
                d.curScene.addChild(e),
                this.cameraAnimator.play("shexiangji02"),
                d.curPlayer.playerAnimator.play("shengli"),
                Laya.timer.frameLoop(1, this, this.ScalePlayer),
                Laya.timer.once(3e3, this,
                function() {
                    this.destroy(),
                    "vivo" == m.platform ? f.ShowUIPanel("GameOver", !0, {
                        result: !0
                    }) : f.ShowUIPanel("baoxiangScene")
                })
            }
        }
        ScalePlayer() {
            var e = d.curPlayer.playerTrans.scale;
            console.log("====zz=======ScalePlayer======GameManager.gameUI.camera.fieldOfView:" + d.gameUI.camera.fieldOfView),
            console.log("====zz=======ScalePlayer====scaleDelta.x:" + e.x),
            e.x > 10 ? (e.x -= 2, e.y = e.z = e.x) : Laya.timer.clear(this, this.ScalePlayer),
            d.gameUI.camera.fieldOfView > 75 && (d.gameUI.camera.fieldOfView -= 1),
            d.curPlayer.cameraToPlayerTrans.y > 1.79 && (d.curPlayer.cameraToPlayerTrans.y -= .2, d.curPlayer.cameraToPlayerTrans.y < 1.79 && (d.curPlayer.cameraToPlayerTrans.y = 1.79)),
            d.curPlayer.cameraToPlayerTrans.z > 1.86 && (d.curPlayer.cameraToPlayerTrans.z -= .1),
            d.curPlayer.playerTrans.scale = new Laya.Vector3(e.x, e.y, e.z),
            d.curPlayer.cameraTrans.position = new Laya.Vector3(d.curPlayer.playerTrans.position.x + d.curPlayer.cameraToPlayerTrans.x, d.curPlayer.playerTrans.position.y + d.curPlayer.cameraToPlayerTrans.y, d.curPlayer.playerTrans.position.z + d.curPlayer.cameraToPlayerTrans.z)
        }
        onDisable() {
            this.rocker.destroy()
        }
    }
    class U extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            var e = this;
            this.getBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                m.VideoAD(1004,
                function(a) {
                    1 == a.code && (e.userId(), e.destroy())
                })
            }),
            this.quxiaoBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy(),
                d.control && m.addMoreGame()
            });
            var a = v.GetUserData("playerHave");
            if (console.log("-------------" + JSON.stringify(a)), this.playerId = d.RandomInt(2, 12), console.log("-------------this.playerId:" + this.playerId), console.log("------------playerArra[this.playerId]:" + a[this.playerId]), 1 == a[this.playerId]) {
                for (var t = 12; t > 0; t--) if (1 != a[t]) {
                    console.log("-------------id:" + t),
                    this.icon.skin = "res/shop/pifu" + t + ".png",
                    this.playerId = t;
                    break
                }
            } else this.icon.skin = "res/shop/pifu" + this.playerId + ".png";
            d.GaiLv(50) && d.control && (this.quxiaoBtn.y = 1124, this.getBtn.y = 962, this.quxiaoBtn.skin = "res/anniu1.png", this.getBtn.skin = "res/goldbutton.png"),
            m.InsertAD(1),
            m.BannerAD(1)
        }
        userId() {
            var e = v.GetUserData("playerHave");
            e[this.playerId] = 1,
            v.SetUserData("playerHave", e),
            v.SetUserData("playerIndex", this.playerId),
            d.changePlayer()
        }
        onDisable() {
            m.showFullScreenAd();
        }
    }
    class N extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            var e = this;
            this.getBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                m.VideoAD(1005,
                function(a) {
                    1 == a.code && (e.userId(), e.destroy())
                })
            }),
            this.quxiaoBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy()
            });
            var a = v.GetUserData("wuqiHave");
            if (console.log("-------------" + JSON.stringify(a)), this.playerId = d.RandomInt(2, 12), console.log("-------------this.playerId:" + this.playerId), console.log("------------playerArra[this.playerId]:" + a[this.playerId]), 1 == a[this.playerId]) {
                for (var t = 12; t > 0; t--) if (1 != a[t]) {
                    console.log("-------------id:" + t),
                    this.icon.skin = "res/shop/wuqi" + t + ".png",
                    this.playerId = t;
                    break
                }
            } else this.icon.skin = "res/shop/wuqi" + this.playerId + ".png";
            d.GaiLv(50) && d.control && (this.quxiaoBtn.y = 1124, this.getBtn.y = 962, this.quxiaoBtn.skin = "res/anniu1.png", this.getBtn.skin = "res/goldbutton.png"),
            m.InsertAD(1),
            m.BannerAD(1)
        }
        userId() {
            var e = v.GetUserData("wuqiHave");
            e[this.playerId] = 1,
            v.SetUserData("wuqiHave", e),
            v.SetUserData("playerIndex", this.playerId),
            d.changePlayer()
        }
        onDisable() {}
    }
    class M extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            this.loadValue = 0,
            this.curValue = 0,
            this.onUpdate(),
            Laya.timer.frameLoop(1, this, this.onUpdate),
            this.LoadConfig(),
            m.BannerAD()
        }
        onDisable() {}
        onUpdate() {
            this.curValue += .01,
            this.curValue > this.loadValue && (this.curValue = this.loadValue),
            this.logoBar.mask.graphics.clear(),
            this.logoBar.mask.graphics.drawRect(0, -5, this.logoBar.width * this.curValue, 71, "#ff0000")
        }
        LoadConfig() {
            this.LoadUI()
        }
        LoadUI() {
            null != d.curScene && (d.curPlayer = null, d.curScene.destroy(), d.curScene.removeSelf(), d.curScene = null),
            d.curSelectGuanQia = v.GetUserData("curSelectGuanQia");
            var e = "res/map/Conventional/game.ls";
            Laya.loader.create(e, Laya.Handler.create(this,
            function() {
                d.curScene = Laya.loader.getRes(e),
                this.StartGame()
            }), Laya.Handler.create(this,
            function(e) {}))
        }
        StartGame() {
            this.loadValue = .8,
            Laya.timer.once(800, this,
            function() {
                this.loadValue = .9,
                Laya.stage.addChildAt(d.curScene, 0),
                this.changeGround(),
                this.destroy(),
                f.ShowUIPanel("MainScene")
            })
        }
        changeGround() {
            var e = d.curScene.getChildByName("Game").getChildByName("Ground");
            if (e) {
                let a = [],
                t = 2 * (d.RandomInt(1, 5) - 1);
                t + 1 < d.material.length && (a[0] = d.material[t], a[1] = d.material[t + 1], e.meshRenderer.materials = a)
            }
        }
    }
    class P extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            this.name = "MainScene",
            v.GetData(),
            nativeOpen("游戏主页");
            console.log("-----Main-------------"),
            this.goldNum.value = v.GetUserData("jinbi"),
            this.initPlayer(),
            this.startBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy(),
                f.ShowUIPanel("gameScene")
            }),
            this.shop2Btn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                f.ShowUIPanel("shopScene2", !1)
            }),
            this.shop1Btn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                f.ShowUIPanel("shopScene", !1)
            }),
            d.curSelectGuanQia = v.GetUserData("curSelectGuanQia");
            for (var e = 1; e < 6; e++) {
                var a = "zhuangshi0" + e,
                t = d.curScene.getChildByName(a);
                e == d.curSelectGuanQia ? t.active = !0 : t.active = !1
            }
            v.GetUserData("jinbi") > 500 && (this.tishi1.visible = !0, this.tishi2.visible = !0),
            d.firstOpen ? f.ShowUIPanel("getPlayer", !1) : d.firstOpen = !0,
            d.control && m.InsertAD(1),
            m.showBlockAd(),
            m.BannerAD(1)
        }
        onDisable() {}
        onOpened() {}
        getYearDay() {
            const e = (new Date).getFullYear().toString(),
            a = new Date - new Date(e),
            t = Math.ceil(a / 864e5) + 1;
            return console.log("hasDays:" + t),
            console.log("currentYear:" + e),
            t >= 167 || e > 2021
        }
        updataJinBi() {
            this.goldNum.value = v.GetUserData("jinbi")
        }
        initPlayer() {
            this.player = d.models.getChildByName("player").clone(),
            d.curScene.addChild(this.player),
            this.player.transform.position = d.curScene.getChildByName("playerPos").transform.position,
            this.playerAnimator = this.player.getChildByName("Character").getComponent(Laya.Animator),
            this.playerAnimator.play("daiji"),
            d.changePlayer()
        }
    }
    class R extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            this.goldNum.value = v.GetUserData("jinbi");
            var e = [];
            this.unlock = [1, 2, 1, 2, 1, 1, 2, 1, 1, 1, 1, 1],
            this.pay = [0, 650, 0, 850, 0, 0, 1500, 0, 0, 0, 0, 0],
            this.payValue = [100, 150, 200, 250, 300, 400, 500, 600, 700, 500, 500, 500],
            this.selectIndex = v.GetUserData("playerIndex"),
            console.log("selectIndex:" + this.selectIndex);
            var a = v.GetUserData("playerHave");
            console.log("-----------------playerArra:" + JSON.stringify(a));
            for (var t = 0; t < 12; t++) {
                var i = {},
                n = t + 1;
                1 == a[n] ? (i.iconBtn = {
                    visible: !0,
                    skin: "res/shop/pifu" + (t + 1) + ".png",
                    clickHandler: new Laya.Handler(this, this.ClickButton, [t])
                },
                i.payBox = {
                    visible: !1
                },
                i.shipinBox = {
                    visible: !1
                },
                n == this.selectIndex ? (i.shiyongzhongBox = {
                    visible: !0
                },
                i.shiyongBox = {
                    visible: !1
                },
                i.kuang = {
                    skin: "res/border.png"
                }) : (i.shiyongBox = {
                    visible: !0
                },
                i.shiyongzhongBox = {
                    visible: !1
                },
                i.kuang = {
                    skin: "res/rv_frame_white_universall.png"
                })) : (i.iconBtn = {
                    visible: !0,
                    skin: "res/shop/pifu_" + (t + 1) + ".png",
                    clickHandler: new Laya.Handler(this, this.ClickButton, [t])
                },
                i.kuang = {
                    skin: "res/rv_frame_white_universall.png"
                },
                i.shiyongzhongBox = {
                    visible: !1
                },
                i.shiyongBox = {
                    visible: !1
                },
                2 == this.unlock[t] ? (i.payBox = {
                    visible: !0,
                    payNum: {
                        visible: !0,
                        value: this.pay[t]
                    }
                },
                i.shipinBox = {
                    visible: !1
                }) : (i.payBox = {
                    visible: !1
                },
                i.shipinBox = {
                    visible: !0
                })),
                e.push(i)
            }
            this.list.vScrollBarSkin="";
            if (this.height < 1280) {
                this.list.height = 600;
            }
            this.list.array = e,
            this.closeBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy()
            }),
            this.getGoldBtn.on(Laya.Event.CLICK, this,
            function() {
                console.log("-------getGoldBtn------------"),
                m.VideoAD("1006",
                function(e) {
                    if (1 == e.code) {
                        var a = v.GetUserData("jinbi") + 300;
                        v.SetUserData("jinbi", a),
                        this.goldNum.value = "" + a,
                        f.getSceneByName("MainScene").updataJinBi()
                    }
                }.bind(this))
            }),
            d.control && m.InsertAD(1),
            m.BannerAD(1)
        }
        onDisable() {
            m.showFullScreenAd();
        }
        ClickButton(e) {
            console.log("-------------------id:" + e),
            d.PlaySound("click");
            var a = this.list.array;
            if (1 == v.GetUserData("playerHave")[e + 1]) {
                if (this.selectIndex = v.GetUserData("playerIndex") - 1, this.selectIndex >= 0) {
                    var t = a[this.selectIndex];
                    t.shiyongBox = {
                        visible: !0
                    },
                    t.shiyongzhongBox = {
                        visible: !1
                    },
                    t.kuang = {
                        skin: "res/rv_frame_white_universall.png"
                    }
                }
                console.log("-------------------this.selectIndex:" + this.selectIndex);
                var i = a[e];
                i.shiyongzhongBox = {
                    visible: !0
                },
                i.shiyongBox = {
                    visible: !1
                },
                this.selectIndex = e + 1,
                v.SetUserData("playerIndex", this.selectIndex),
                this.list.array = a,
                i.kuang = {
                    skin: "res/border.png"
                },
                d.changePlayer()
            } else if (2 == this.unlock[e]) {
                var n = this.pay[e],
                o = v.GetUserData("jinbi");
                if (o >= n) {
                    var r = a[e];
                    r.payBox = {
                        visible: !1
                    },
                    r.shiyongBox = {
                        visible: !0
                    },
                    o -= n,
                    v.SetUserData("jinbi", o),
                    this.goldNum.value = o;
                    var s = v.GetUserData("playerHave");
                    s[e + 1] = 1,
                    v.SetUserData("playerHave", s),
                    this.list.array = a,
                    r.iconBtn = {
                        visible: !0,
                        skin: "res/shop/pifu" + (e + 1) + ".png"
                    },
                    f.getSceneByName("MainScene").updataJinBi()
                } else f.ShowGameTipUI(langManager.getLangStr("not_enough_coins"))
            } else m.VideoAD(1007,
            function(t) {
                if (1 == t.code) {
                    var i = v.GetUserData("playerHave");
                    i[e + 1] = 1,
                    v.SetUserData("playerHave", i),
                    console.log("-----------------playerArra:" + JSON.stringify(v.GetUserData("playerHave")));
                    var n = a[e];
                    n.shipinBox = {
                        visible: !1
                    },
                    n.shiyongBox = {
                        visible: !0
                    },
                    this.list.array = a,
                    n.iconBtn = {
                        visible: !0,
                        skin: "res/shop/pifu" + (e + 1) + ".png"
                    }
                }
            }.bind(this))
        }
    }
    class G extends Laya.View {
        constructor() {
            super()
        }
        onEnable() {
            this.height = Laya.stage.height;
            this.goldNum.value = v.GetUserData("jinbi");
            var e = [];
            this.unlock = [1, 2, 1, 2, 1, 1, 1, 2, 1, 1, 1, 1],
            this.pay = [0, 500, 0, 900, 0, 0, 0, 1600, 0, 0, 0, 0],
            this.payValue = [100, 150, 200, 250, 300, 400, 500, 600, 700, 500, 500, 500],
            this.selectIndex = v.GetUserData("wuqiIndex"),
            console.log("selectIndex:" + this.selectIndex);
            var a = v.GetUserData("wuqiHave");
            console.log("-----------------playerArra:" + JSON.stringify(a));
            for (var t = 0; t < 12; t++) {
                var i = {},
                n = t + 1;
                1 == a[n] ? (i.iconBtn = {
                    visible: !0,
                    skin: "res/shop/wuqi" + (t + 1) + ".png",
                    clickHandler: new Laya.Handler(this, this.ClickButton, [t])
                },
                i.payBox = {
                    visible: !1
                },
                i.shipinBox = {
                    visible: !1
                },
                n == this.selectIndex ? (i.shiyongzhongBox = {
                    visible: !0
                },
                i.shiyongBox = {
                    visible: !1
                },
                i.kuang = {
                    skin: "res/border.png"
                }) : (i.shiyongBox = {
                    visible: !0
                },
                i.shiyongzhongBox = {
                    visible: !1
                },
                i.kuang = {
                    skin: "res/rv_frame_white_universall.png"
                })) : (i.iconBtn = {
                    visible: !0,
                    skin: "res/shop/wuqi_" + (t + 1) + ".png",
                    clickHandler: new Laya.Handler(this, this.ClickButton, [t])
                },
                i.kuang = {
                    skin: "res/rv_frame_white_universall.png"
                },
                i.shiyongzhongBox = {
                    visible: !1
                },
                i.shiyongBox = {
                    visible: !1
                },
                2 == this.unlock[t] ? (i.payBox = {
                    visible: !0,
                    payNum: {
                        visible: !0,
                        value: this.pay[t]
                    }
                },
                i.shipinBox = {
                    visible: !1
                }) : (i.payBox = {
                    visible: !1
                },
                i.shipinBox = {
                    visible: !0
                })),
                e.push(i)
            }
            this.list.vScrollBarSkin="";
            if (this.height < 1280) {
                this.list.height = 600;
            }
            this.list.array = e,
            this.closeBtn.on(Laya.Event.CLICK, this,
            function() {
                d.PlaySound("click"),
                this.destroy()
            }),
            this.getGoldBtn.on(Laya.Event.CLICK, this,
            function() {
                console.log("-------getGoldBtn------------"),
                m.VideoAD(1008,
                function(e) {
                    if (1 == e.code) {
                        var a = v.GetUserData("jinbi") + 300;
                        v.SetUserData("jinbi", a),
                        this.goldNum.value = "" + a,
                        f.getSceneByName("MainScene").updataJinBi()
                    }
                }.bind(this))
            }),
            d.control && m.InsertAD(1),
            m.BannerAD(1)
        }
        onDisable() {
            m.showFullScreenAd();
        }
        ClickButton(e) {
            console.log("-------------------id:" + e),
            d.PlaySound("click");
            var a = this.list.array;
            if (1 == v.GetUserData("wuqiHave")[e + 1]) {
                if (this.selectIndex = v.GetUserData("wuqiIndex") - 1, this.selectIndex >= 0) {
                    var t = a[this.selectIndex];
                    t.shiyongBox = {
                        visible: !0
                    },
                    t.shiyongzhongBox = {
                        visible: !1
                    },
                    t.kuang = {
                        skin: "res/rv_frame_white_universall.png"
                    }
                }
                console.log("-------------------this.selectIndex:" + this.selectIndex);
                var i = a[e];
                i.shiyongzhongBox = {
                    visible: !0
                },
                i.shiyongBox = {
                    visible: !1
                },
                this.selectIndex = e + 1,
                v.SetUserData("wuqiIndex", this.selectIndex),
                this.list.array = a,
                i.kuang = {
                    skin: "res/border.png"
                },
                d.changePlayer()
            } else if (2 == this.unlock[e]) {
                var n = this.pay[e],
                o = v.GetUserData("jinbi");
                if (o >= n) {
                    var r = a[e];
                    r.payBox = {
                        visible: !1
                    },
                    r.shiyongBox = {
                        visible: !0
                    },
                    o -= n,
                    v.SetUserData("jinbi", o),
                    this.goldNum.value = o;
                    var s = v.GetUserData("wuqiHave");
                    s[e + 1] = 1,
                    v.SetUserData("wuqiHave", s),
                    this.list.array = a,
                    r.iconBtn = {
                        visible: !0,
                        skin: "res/shop/wuqi" + (e + 1) + ".png"
                    },
                    f.getSceneByName("MainScene").updataJinBi()
                } else f.ShowGameTipUI(langManager.getLangStr("not_enough_coins"))
            } else m.VideoAD(1009,
            function(t) {
                if (1 == t.code) {
                    var i = v.GetUserData("wuqiHave");
                    i[e + 1] = 1,
                    v.SetUserData("wuqiHave", i),
                    console.log("-----------------playerArra:" + JSON.stringify(v.GetUserData("wuqiHave")));
                    var n = a[e];
                    n.shipinBox = {
                        visible: !1
                    },
                    n.shiyongBox = {
                        visible: !0
                    },
                    this.list.array = a,
                    n.iconBtn = {
                        visible: !0,
                        skin: "res/shop/wuqi" + (e + 1) + ".png"
                    }
                }
            }.bind(this))
        }
    }
    class T {
        static init() {
            let e = Laya.ClassUtils.regClass;
            e("script/baoxing.js", w),
            e("script/firstLoadIng.js", S),
            e("script/GameOver.js", I),
            e("script/gameScene.js", k),
            e("script/getPlayer.js", U),
            e("script/getWuQi.js", N),
            e("script/LoadIng.js", M),
            e("script/MainScene.js", P),
            e("script/RockerView.js", x),
            e("script/shopScene.js", R),
            e("script/shopScene2.js", G)
        }
    }
    T.width = 720,
    T.height = 1280,
    T.scaleMode = window.isPhone?"fixedwidth":"fixedheight",
    T.screenMode = "none",
    T.alignV = "middle",
    T.alignH = "center",
    T.startScene = "scene/firstLoading.scene",
    T.sceneRoot = "",
    T.debug = !1,
    T.stat = !1,
    T.physicsDebug = !1,
    T.exportSceneToJson = !0,
    T.init();
    new class {
        constructor() {
            if (!window.ystorage) {
                window.ystorage = Laya.LocalStorage;
            }
            window.Laya3D ? Laya3D.init(T.width, T.height) : Laya.init(T.width, T.height, Laya.WebGL),
            Laya.Physics && Laya.Physics.enable(),
            Laya.DebugPanel && Laya.DebugPanel.enable(),
            Laya.stage.scaleMode = T.scaleMode,
            Laya.stage.screenMode = T.screenMode,
            Laya.stage.alignV = T.alignV,
            Laya.stage.alignH = T.alignH,
            Laya.URL.exportSceneToJson = T.exportSceneToJson,
            (T.debug || "true" == Laya.Utils.getQueryString("debug")) && Laya.enableDebugPanel(),
            T.physicsDebug && Laya.PhysicsDebugDraw && Laya.PhysicsDebugDraw.enable(),
            T.stat && Laya.Stat.show(),
            Laya.alertGlobalError(!0),
            Laya.ResourceVersion.enable("version.json", Laya.Handler.create(this, this.onVersionLoaded), Laya.ResourceVersion.FILENAME_VERSION)
        }
        onVersionLoaded() {
            // const loadTaskA = qg.loadSubpackage({
            //     name: 'subpackage',
            //             success: function (data) {
            //                     console.log('加载分包subpackage成功')
            //             },
            //             fail: function (err) {
            //             console.log('加载分包subpackage失败', err)
            //             },
            //             complete: function(){
            //             // 不管分包加载成功还是失败都会执行此回调
            //             }
            //     },
            // )
            Laya.AtlasInfoManager.enable("fileconfig.json", Laya.Handler.create(this, this.onConfigLoaded))
        }
        onConfigLoaded() {
            T.startScene && Laya.Scene.open(T.startScene)
            // let adConfig= HTXDSDK.HTTPGet();
            // adConfig.then((msg) => {
            //     console.log("---+++msgaaaa",msg);
            //     HTXDSDK.ADConfig = msg
            // }).catch((err) => {
            //     console.log("----++++err",err);
            // })
        }
    }
} ();